Bug 158717 - Failed to access memory card in HP USB printer
Failed to access memory card in HP USB printer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-25 02:05 EDT by Dov Grobgeld
Modified: 2008-05-06 11:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
usb-storage packaged as stand-alone module for testing (108.17 KB, application/octet-stream)
2007-06-07 15:47 EDT, Hans de Goede
no flags Details
new version of usb-storage (111.72 KB, application/octet-stream)
2007-06-07 16:54 EDT, Hans de Goede
no flags Details
New version which will hopefully work (172.54 KB, application/unix-tar)
2007-06-10 10:20 EDT, Hans de Goede
no flags Details
Yet another version (118.49 KB, patch)
2007-06-10 16:29 EDT, Hans de Goede
no flags Details | Diff

  None (edit)
Description Dov Grobgeld 2005-05-25 02:05:34 EDT
Description of problem:

In Fedora core 3, when inserting a SD-Ram memory card into my HP 9660 
printer, the device /media/usbdisk would automatically appear, which I 
could mount and then access the files on the memory card. This no longer 
works under FC4t3. When inserting the card in the printer, the following
messages appear in /var/log/messages:

May 25 08:30:20 grower kernel: SCSI device sdb: 1002496 512-byte hdwr sectors
(513 MB)
May 25 08:30:20 grower kernel: sdb: Write Protect is off
May 25 08:30:20 grower kernel: sdb: assuming drive cache: write through
May 25 08:30:20 grower kernel: SCSI device sdb: 1002496 512-byte hdwr sectors
(513 MB)
May 25 08:30:20 grower kernel: sdb: Write Protect is off
May 25 08:30:20 grower kernel: sdb: assuming drive cache: write through
May 25 08:30:20 grower kernel:  sdb:
May 25 08:30:35 grower kernel: SCSI error : <2 0 0 0> return code = 0x8000002
May 25 08:30:35 grower kernel: sdb: Current: sense key: Medium Error
May 25 08:30:35 grower kernel:     Additional sense: Read error - loss of streaming

Version-Release number of selected component (if applicable):

uname -a yields:

Linux grower.grobnet 2.6.11-1.1329_FC4smp #1 SMP Thu May 19 21:43:41 EDT 2005
i686 i686 i386 GNU/Linux

After writing the above, I tested inserting another memory card, a flash card.
The messages I then got in /var/log/messages were:

May 25 08:56:19 grower kernel: SCSI device sdb: 125184 512-byte hdwr sectors (64 MB)
May 25 08:56:19 grower kernel: sdb: Write Protect is off
May 25 08:56:19 grower kernel: sdb: assuming drive cache: write through
May 25 08:56:19 grower kernel: SCSI device sdb: 125184 512-byte hdwr sectors (64 MB)
May 25 08:56:19 grower kernel: sdb: Write Protect is off
May 25 08:56:19 grower kernel: sdb: assuming drive cache: write through
May 25 08:56:19 grower kernel:  sdb: unknown partition table
May 25 08:56:19 grower kernel: SCSI error : <2 0 0 0> return code = 0x8000002
May 25 08:56:19 grower kernel: sdb: Current: sense key: Medium Error
May 25 08:56:19 grower kernel:     Additional sense: Read error - loss of streaming
May 25 08:56:19 grower kernel: end_request: I/O error, dev sdb, sector 125176
May 25 08:56:19 grower kernel: Buffer I/O error on device sdb, logical block 15647
May 25 08:56:20 grower kernel: SCSI error : <2 0 0 0> return code = 0x8000002
May 25 08:56:20 grower kernel: sdb: Current: sense key: Medium Error
May 25 08:56:20 grower kernel:     Additional sense: Read error - loss of streaming
May 25 08:56:20 grower kernel: end_request: I/O error, dev sdb, sector 125176
May 25 08:56:20 grower kernel: Buffer I/O error on device sdb, logical block 15647
May 25 08:56:20 grower kernel: SCSI error : <2 0 0 0> return code = 0x8000002
May 25 08:56:20 grower kernel: sdb: Current: sense key: Medium Error
May 25 08:56:20 grower kernel:     Additional sense: Read error - loss of streaming
May 25 08:56:20 grower kernel: end_request: I/O error, dev sdb, sector 125168
May 25 08:56:20 grower kernel: Buffer I/O error on device sdb, logical block 15646
May 25 08:56:20 grower kernel: SCSI error : <2 0 0 0> return code = 0x8000002
May 25 08:56:20 grower kernel: sdb: Current: sense key: Medium Error
May 25 08:56:20 grower kernel:     Additional sense: Read error - loss of streaming
May 25 08:56:20 grower kernel: end_request: I/O error, dev sdb, sector 125168
May 25 08:56:20 grower kernel: Buffer I/O error on device sdb, logical block 15646
May 25 08:56:21 grower kernel: SCSI error : <2 0 0 0> return code = 0x8000002
May 25 08:56:21 grower kernel: sdb: Current: sense key: Medium Error
May 25 08:56:21 grower kernel:     Additional sense: Read error - loss of streaming
May 25 08:56:21 grower kernel: end_request: I/O error, dev sdb, sector 125168
May 25 08:56:21 grower kernel: Buffer I/O error on device sdb, logical block 15646
May 25 08:56:21 grower fstab-sync[5142]: added mount point /media/usbdisk for
/dev/sdb

Another issue that is making things even more fuzzy... On my other older
computer which has a HP PSC 2210 printer, both cards are mounted without any
error messages.

How reproducible:

With the SD-Ram card, every time.

Steps to Reproduce:
1. Insert a memory card into an HP9660 printer
2. 
3.
  
Actual results:

The card isn't recognized.

Expected results:

The mountpoint /media/usbdisk should be added.
Additional info:
Comment 1 Dov Grobgeld 2005-05-29 16:07:43 EDT
Problem still remains in:

Linux grower.grobnet 2.6.11-1.1363_FC4 #1 Wed May 25 19:34:11 EDT 2005 i686 i686
i386 GNU/Linux
Comment 2 Pete Zaitcev 2005-06-24 20:30:21 EDT
This is mysterious. I am inclined to fault some bad cable.
Comment 3 Dov Grobgeld 2005-06-26 01:16:51 EDT
Cables? Remember it is a combo printer, and I don't have any problems speaking
with the printer. Also, I have never had any problems accessing the memory cards
from WindowsXP. And finally as far as I remember, I never had any problem with
reading of the memory cards in Fedora Core 3. Unfortunately I don't remember
what was the last kernel I was running, before I did an upgrade.

Please let me know if there are any additional tests that I can run to help
debug this.
Comment 4 Dave Jones 2005-06-27 19:16:51 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.
Comment 5 Dov Grobgeld 2005-06-29 13:00:08 EDT
Tested on latest test release. Problem remains. 

uname -a:

   Linux grower.grobnet 2.6.12-1.1400_FC5 #1 Thu Jun 23 23:19:41 EDT 2005 i686
i686 i386 GNU/Linux

Additional tests:

   * Tested with another SD card. Same errors as described in bug report.
   * Tested yet again with Flash card. Same as described above, i.e. several I/O
errors, but in the end it mounting succeeds.

Note that I have other USB problems on the same computer with Fedora Core 4/5
that may or may not be related. See bug #159244 .
    

   
Comment 6 Dave Jones 2005-07-15 17:07:40 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 7 Dov Grobgeld 2005-09-19 15:40:05 EDT
Just tested this bug with the latest kernel 2.6.12-1.1447_FC4 and the problem
still remains with exactly the same error messages in /var/log/mesages. Thus,
I'm still unable to access SD-RAM cards through my printer under Linux.
Comment 8 Dov Grobgeld 2005-09-23 05:33:33 EDT
Is there anything that I can do to help debugging this bug? It is very annoying
not to be able to access my card reader from Linux. :-(
Comment 9 Dave Jones 2005-09-30 02:09:06 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 10 Pete Zaitcev 2005-10-01 00:52:37 EDT
Hrm, the overzealous script took my bug away.
But please do test the update.

Another thing that would help me a lot would be a so-called "usbmon
trace". There should be a document in
/usr/share/doc/kernel-doc-2.6.13/Documentation/usb/usbmon.txt

The "loss of streaming" is quite unusual. It means that the
host of printer cannot keep up with the SD card. Well, maybe it's
the delay after the SCSI command is sent (without it, other
devices fail). It wasn't there in FC3.
Comment 11 Dov Grobgeld 2005-10-02 12:12:52 EDT
I just tested this bug with the latest kernel 2.6.13-1.1526_FC4, and it is still
in there. I am including a usbmon trace below at the time of insertion of a SD
card into the printer. Let me know if I can help in any other way.

df39f280 1342873335 S Bo:002:05 -115 31 = 55534243 55030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1342875308 C Bo:002:05 0 31 >
df39f280 1342875316 S Bi:002:05 -115 13 <
df39f280 1342880302 C Bi:002:05 0 13 = 55534253 55030000 00000000 01
df39f280 1342880309 S Bo:002:05 -115 31 = 55534243 55030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1342881303 C Bo:002:05 0 31 >
df39f280 1342881309 S Bi:002:05 -115 18 <
df39f280 1342887301 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1342887307 S Bi:002:05 -115 13 <
df39f280 1342890301 C Bi:002:05 0 13 = 55534253 55030080 00000000 00
df39f280 1342890339 S Bo:002:05 -115 31 = 55534243 56030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1342891301 C Bo:002:05 0 31 >
df39f280 1342891307 S Bi:002:05 -115 13 <
df39f280 1342896300 C Bi:002:05 0 13 = 55534253 56030000 00000000 01
df39f280 1342896306 S Bo:002:05 -115 31 = 55534243 56030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1342897300 C Bo:002:05 0 31 >
df39f280 1342897306 S Bi:002:05 -115 18 <
df39f280 1342903298 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1342903304 S Bi:002:05 -115 13 <
df39f280 1342906299 C Bi:002:05 0 13 = 55534253 56030080 00000000 00
df39f280 1342906320 S Bo:002:05 -115 31 = 55534243 57030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1342907298 C Bo:002:05 0 31 >
df39f280 1342907304 S Bi:002:05 -115 13 <
df39f280 1342912297 C Bi:002:05 0 13 = 55534253 57030000 00000000 01
df39f280 1342912303 S Bo:002:05 -115 31 = 55534243 57030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1342913297 C Bo:002:05 0 31 >
df39f280 1342913387 S Bi:002:05 -115 18 <
df39f280 1342919296 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1342919303 S Bi:002:05 -115 13 <
df39f280 1342922296 C Bi:002:05 0 13 = 55534253 57030080 00000000 00
df39f280 1342922321 S Bo:002:05 -115 31 = 55534243 58030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1342923296 C Bo:002:05 0 31 >
df39f280 1342923302 S Bi:002:05 -115 13 <
df39f280 1342928294 C Bi:002:05 0 13 = 55534253 58030000 00000000 01
df39f280 1342928301 S Bo:002:05 -115 31 = 55534243 58030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1342929294 C Bo:002:05 0 31 >
df39f280 1342929301 S Bi:002:05 -115 18 <
df39f280 1342935293 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1342935299 S Bi:002:05 -115 13 <
df39f280 1342938294 C Bi:002:05 0 13 = 55534253 58030080 00000000 00
df39f280 1344941482 S Bo:002:05 -115 31 = 55534243 59030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1344942972 C Bo:002:05 0 31 >
df39f280 1344942982 S Bi:002:05 -115 13 <
df39f280 1344947967 C Bi:002:05 0 13 = 55534253 59030000 00000000 01
df39f280 1344947974 S Bo:002:05 -115 31 = 55534243 59030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1344948966 C Bo:002:05 0 31 >
df39f280 1344948972 S Bi:002:05 -115 18 <
df39f280 1344954967 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1344954973 S Bi:002:05 -115 13 <
df39f280 1344957967 C Bi:002:05 0 13 = 55534253 59030080 00000000 00
df39f280 1344958010 S Bo:002:05 -115 31 = 55534243 5a030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1344958966 C Bo:002:05 0 31 >
df39f280 1344958972 S Bi:002:05 -115 13 <
df39f280 1344964965 C Bi:002:05 0 13 = 55534253 5a030000 00000000 01
df39f280 1344964972 S Bo:002:05 -115 31 = 55534243 5a030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1344965965 C Bo:002:05 0 31 >
df39f280 1344965971 S Bi:002:05 -115 18 <
df39f280 1344970964 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1344970970 S Bi:002:05 -115 13 <
df39f280 1344973964 C Bi:002:05 0 13 = 55534253 5a030080 00000000 00
df39f280 1344973987 S Bo:002:05 -115 31 = 55534243 5b030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1344974964 C Bo:002:05 0 31 >
df39f280 1344974970 S Bi:002:05 -115 13 <
df39f280 1344979962 C Bi:002:05 0 13 = 55534253 5b030000 00000000 01
df39f280 1344979969 S Bo:002:05 -115 31 = 55534243 5b030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1344980962 C Bo:002:05 0 31 >
df39f280 1344980968 S Bi:002:05 -115 18 <
df39f280 1344986962 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1344986968 S Bi:002:05 -115 13 <
df39f280 1344989962 C Bi:002:05 0 13 = 55534253 5b030080 00000000 00
df39f280 1344989983 S Bo:002:05 -115 31 = 55534243 5c030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1344990961 C Bo:002:05 0 31 >
df39f280 1344990967 S Bi:002:05 -115 13 <
df39f280 1344995961 C Bi:002:05 0 13 = 55534253 5c030000 00000000 01
df39f280 1344995968 S Bo:002:05 -115 31 = 55534243 5c030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1344996959 C Bo:002:05 0 31 >
df39f280 1344996965 S Bi:002:05 -115 18 <
df39f280 1345002959 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1345002966 S Bi:002:05 -115 13 <
df39f280 1345005959 C Bi:002:05 0 13 = 55534253 5c030080 00000000 00
df39f280 1347009591 S Bo:002:05 -115 31 = 55534243 5d030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1347010639 C Bo:002:05 0 31 >
df39f280 1347010647 S Bi:002:05 -115 13 <
df39f280 1347016633 C Bi:002:05 0 13 = 55534253 5d030000 00000000 01
df39f280 1347016639 S Bo:002:05 -115 31 = 55534243 5d030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1347017634 C Bo:002:05 0 31 >
df39f280 1347017640 S Bi:002:05 -115 18 <
df39f280 1347035630 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1347035637 S Bi:002:05 -115 13 <
df39f280 1347038630 C Bi:002:05 0 13 = 55534253 5d030080 00000000 00
df39f280 1347038666 S Bo:002:05 -115 31 = 55534243 5e030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1347039630 C Bo:002:05 0 31 >
df39f280 1347039636 S Bi:002:05 -115 13 <
df39f280 1347044628 C Bi:002:05 0 13 = 55534253 5e030000 00000000 01
df39f280 1347044635 S Bo:002:05 -115 31 = 55534243 5e030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1347045629 C Bo:002:05 0 31 >
df39f280 1347045635 S Bi:002:05 -115 18 <
df39f280 1347051628 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1347051634 S Bi:002:05 -115 13 <
df39f280 1347054628 C Bi:002:05 0 13 = 55534253 5e030080 00000000 00
df39f280 1347054650 S Bo:002:05 -115 31 = 55534243 5f030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1347055627 C Bo:002:05 0 31 >
df39f280 1347055633 S Bi:002:05 -115 13 <
df39f280 1347060632 C Bi:002:05 0 13 = 55534253 5f030000 00000000 01
df39f280 1347060645 S Bo:002:05 -115 31 = 55534243 5f030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1347061625 C Bo:002:05 0 31 >
df39f280 1347061631 S Bi:002:05 -115 18 <
df39f280 1347067625 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1347067631 S Bi:002:05 -115 13 <
df39f280 1347070625 C Bi:002:05 0 13 = 55534253 5f030080 00000000 00
df39f280 1347070662 S Bo:002:05 -115 31 = 55534243 60030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1347071624 C Bo:002:05 0 31 >
df39f280 1347071631 S Bi:002:05 -115 13 <
df39f280 1347076624 C Bi:002:05 0 13 = 55534253 60030000 00000000 01
df39f280 1347076631 S Bo:002:05 -115 31 = 55534243 60030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1347077623 C Bo:002:05 0 31 >
df39f280 1347077630 S Bi:002:05 -115 18 <
df39f280 1347083623 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1347083629 S Bi:002:05 -115 13 <
df39f280 1347086622 C Bi:002:05 0 13 = 55534253 60030080 00000000 00
df39f280 1349089721 S Bo:002:05 -115 31 = 55534243 61030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1349091302 C Bo:002:05 0 31 >
df39f280 1349091310 S Bi:002:05 -115 13 <
df39f280 1349096303 C Bi:002:05 0 13 = 55534253 61030000 00000000 01
df39f280 1349096316 S Bo:002:05 -115 31 = 55534243 61030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1349097296 C Bo:002:05 0 31 >
df39f280 1349097303 S Bi:002:05 -115 18 <
df39f280 1349103299 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1349103312 S Bi:002:05 -115 13 <
df39f280 1349106295 C Bi:002:05 0 13 = 55534253 61030080 00000000 00
df39f280 1349106356 S Bo:002:05 -115 31 = 55534243 62030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1349107295 C Bo:002:05 0 31 >
df39f280 1349107301 S Bi:002:05 -115 13 <
df39f280 1349112293 C Bi:002:05 0 13 = 55534253 62030000 00000000 01
df39f280 1349112300 S Bo:002:05 -115 31 = 55534243 62030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1349113293 C Bo:002:05 0 31 >
df39f280 1349113299 S Bi:002:05 -115 18 <
df39f280 1349119293 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1349119299 S Bi:002:05 -115 13 <
df39f280 1349122293 C Bi:002:05 0 13 = 55534253 62030080 00000000 00
df39f280 1349122315 S Bo:002:05 -115 31 = 55534243 63030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1349123292 C Bo:002:05 0 31 >
df39f280 1349123299 S Bi:002:05 -115 13 <
df39f280 1349128291 C Bi:002:05 0 13 = 55534253 63030000 00000000 01
df39f280 1349128298 S Bo:002:05 -115 31 = 55534243 63030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1349129291 C Bo:002:05 0 31 >
df39f280 1349129297 S Bi:002:05 -115 18 <
df39f280 1349135291 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1349135297 S Bi:002:05 -115 13 <
df39f280 1349138290 C Bi:002:05 0 13 = 55534253 63030080 00000000 00
df39f280 1349138311 S Bo:002:05 -115 31 = 55534243 64030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1349139290 C Bo:002:05 0 31 >
df39f280 1349139296 S Bi:002:05 -115 13 <
df39f280 1349144288 C Bi:002:05 0 13 = 55534253 64030000 00000000 01
df39f280 1349144295 S Bo:002:05 -115 31 = 55534243 64030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1349145288 C Bo:002:05 0 31 >
df39f280 1349145294 S Bi:002:05 -115 18 <
df39f280 1349151288 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1349151294 S Bi:002:05 -115 13 <
df39f280 1349154288 C Bi:002:05 0 13 = 55534253 64030080 00000000 00
df39f280 1351157851 S Bo:002:05 -115 31 = 55534243 65030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1351158967 C Bo:002:05 0 31 >
df39f280 1351158975 S Bi:002:05 -115 13 <
df39f280 1351163963 C Bi:002:05 0 13 = 55534253 65030000 00000000 01
df39f280 1351163970 S Bo:002:05 -115 31 = 55534243 65030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1351164962 C Bo:002:05 0 31 >
df39f280 1351164969 S Bi:002:05 -115 18 <
df39f280 1351170961 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1351170968 S Bi:002:05 -115 13 <
df39f280 1351173961 C Bi:002:05 0 13 = 55534253 65030080 00000000 00
df39f280 1351173997 S Bo:002:05 -115 31 = 55534243 66030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1351174960 C Bo:002:05 0 31 >
df39f280 1351174967 S Bi:002:05 -115 13 <
df39f280 1351179960 C Bi:002:05 0 13 = 55534253 66030000 00000000 01
df39f280 1351179966 S Bo:002:05 -115 31 = 55534243 66030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1351180959 C Bo:002:05 0 31 >
df39f280 1351180965 S Bi:002:05 -115 18 <
df39f280 1351201957 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1351201964 S Bi:002:05 -115 13 <
df39f280 1351204955 C Bi:002:05 0 13 = 55534253 66030080 00000000 00
df39f280 1351204982 S Bo:002:05 -115 31 = 55534243 67030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1351205956 C Bo:002:05 0 31 >
df39f280 1351205962 S Bi:002:05 -115 13 <
df39f280 1351210955 C Bi:002:05 0 13 = 55534253 67030000 00000000 01
df39f280 1351210961 S Bo:002:05 -115 31 = 55534243 67030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1351211955 C Bo:002:05 0 31 >
df39f280 1351211960 S Bi:002:05 -115 18 <
df39f280 1351217955 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1351218480 S Bi:002:05 -115 13 <
df39f280 1351220956 C Bi:002:05 0 13 = 55534253 67030080 00000000 00
df39f280 1351220999 S Bo:002:05 -115 31 = 55534243 68030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1351221952 C Bo:002:05 0 31 >
df39f280 1351221959 S Bi:002:05 -115 13 <
df39f280 1351227953 C Bi:002:05 0 13 = 55534253 68030000 00000000 01
df39f280 1351227960 S Bo:002:05 -115 31 = 55534243 68030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1351228952 C Bo:002:05 0 31 >
df39f280 1351228958 S Bi:002:05 -115 18 <
df39f280 1351233952 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1351233959 S Bi:002:05 -115 13 <
df39f280 1351236950 C Bi:002:05 0 13 = 55534253 68030080 00000000 00
df39f280 1353237978 S Bo:002:05 -115 31 = 55534243 69030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1353239629 C Bo:002:05 0 31 >
df39f280 1353239637 S Bi:002:05 -115 13 <
df39f280 1353244626 C Bi:002:05 0 13 = 55534253 69030000 00000000 01
df39f280 1353244633 S Bo:002:05 -115 31 = 55534243 69030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1353245626 C Bo:002:05 0 31 >
df39f280 1353245632 S Bi:002:05 -115 18 <
df39f280 1353251624 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1353251631 S Bi:002:05 -115 13 <
df39f280 1353254624 C Bi:002:05 0 13 = 55534253 69030080 00000000 00
df39f280 1353254661 S Bo:002:05 -115 31 = 55534243 6a030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1353255624 C Bo:002:05 0 31 >
df39f280 1353255630 S Bi:002:05 -115 13 <
df39f280 1353260624 C Bi:002:05 0 13 = 55534253 6a030000 00000000 01
df39f280 1353260630 S Bo:002:05 -115 31 = 55534243 6a030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1353261623 C Bo:002:05 0 31 >
df39f280 1353261629 S Bi:002:05 -115 18 <
df39f280 1353267622 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1353267628 S Bi:002:05 -115 13 <
df39f280 1353270622 C Bi:002:05 0 13 = 55534253 6a030080 00000000 00
df39f280 1353270647 S Bo:002:05 -115 31 = 55534243 6b030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1353271621 C Bo:002:05 0 31 >
df39f280 1353271627 S Bi:002:05 -115 13 <
df39f280 1353277620 C Bi:002:05 0 13 = 55534253 6b030000 00000000 01
df39f280 1353277627 S Bo:002:05 -115 31 = 55534243 6b030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1353278621 C Bo:002:05 0 31 >
df39f280 1353278627 S Bi:002:05 -115 18 <
df39f280 1353283619 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1353283625 S Bi:002:05 -115 13 <
df39f280 1353286619 C Bi:002:05 0 13 = 55534253 6b030080 00000000 00
df39f280 1353286640 S Bo:002:05 -115 31 = 55534243 6c030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1353287619 C Bo:002:05 0 31 >
df39f280 1353287625 S Bi:002:05 -115 13 <
df39f280 1353292618 C Bi:002:05 0 13 = 55534253 6c030000 00000000 01
df39f280 1353292624 S Bo:002:05 -115 31 = 55534243 6c030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1353293618 C Bo:002:05 0 31 >
df39f280 1353293624 S Bi:002:05 -115 18 <
df39f280 1353299617 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1353299623 S Bi:002:05 -115 13 <
df39f280 1353302616 C Bi:002:05 0 13 = 55534253 6c030080 00000000 00
df39f280 1355306105 S Bo:002:05 -115 31 = 55534243 6d030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1355307297 C Bo:002:05 0 31 >
df39f280 1355307305 S Bi:002:05 -115 13 <
df39f280 1355312292 C Bi:002:05 0 13 = 55534253 6d030000 00000000 01
df39f280 1355312298 S Bo:002:05 -115 31 = 55534243 6d030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1355313291 C Bo:002:05 0 31 >
df39f280 1355313297 S Bi:002:05 -115 18 <
df39f280 1355319290 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1355319296 S Bi:002:05 -115 13 <
df39f280 1355322291 C Bi:002:05 0 13 = 55534253 6d030080 00000000 00
df39f280 1355322327 S Bo:002:05 -115 31 = 55534243 6e030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1355323290 C Bo:002:05 0 31 >
df39f280 1355323296 S Bi:002:05 -115 13 <
df39f280 1355329288 C Bi:002:05 0 13 = 55534253 6e030000 00000000 01
df39f280 1355329294 S Bo:002:05 -115 31 = 55534243 6e030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1355330289 C Bo:002:05 0 31 >
df39f280 1355330295 S Bi:002:05 -115 18 <
df39f280 1355335287 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1355335294 S Bi:002:05 -115 13 <
df39f280 1355338288 C Bi:002:05 0 13 = 55534253 6e030080 00000000 00
df39f280 1355338310 S Bo:002:05 -115 31 = 55534243 6f030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1355339288 C Bo:002:05 0 31 >
df39f280 1355339294 S Bi:002:05 -115 13 <
df39f280 1355344286 C Bi:002:05 0 13 = 55534253 6f030000 00000000 01
df39f280 1355344292 S Bo:002:05 -115 31 = 55534243 6f030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1355345286 C Bo:002:05 0 31 >
df39f280 1355345292 S Bi:002:05 -115 18 <
df39f280 1355351285 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1355351291 S Bi:002:05 -115 13 <
df39f280 1355354285 C Bi:002:05 0 13 = 55534253 6f030080 00000000 00
df39f280 1355354306 S Bo:002:05 -115 31 = 55534243 70030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1355355285 C Bo:002:05 0 31 >
df39f280 1355355291 S Bi:002:05 -115 13 <
df39f280 1355360283 C Bi:002:05 0 13 = 55534253 70030000 00000000 01
df39f280 1355360290 S Bo:002:05 -115 31 = 55534243 70030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1355361283 C Bo:002:05 0 31 >
df39f280 1355361289 S Bi:002:05 -115 18 <
df39f280 1355367282 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1355367288 S Bi:002:05 -115 13 <
df39f280 1355370283 C Bi:002:05 0 13 = 55534253 70030080 00000000 00
df39f280 1357374234 S Bo:002:05 -115 31 = 55534243 71030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1357375963 C Bo:002:05 0 31 >
df39f280 1357375971 S Bi:002:05 -115 13 <
df39f280 1357383956 C Bi:002:05 0 13 = 55534253 71030000 00000000 01
df39f280 1357383963 S Bo:002:05 -115 31 = 55534243 71030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1357384955 C Bo:002:05 0 31 >
df39f280 1357384962 S Bi:002:05 -115 18 <
df39f280 1357395954 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1357395960 S Bi:002:05 -115 13 <
df39f280 1357399953 C Bi:002:05 0 13 = 55534253 71030080 00000000 00
df39f280 1357399991 S Bo:002:05 -115 31 = 55534243 72030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1357400953 C Bo:002:05 0 31 >
df39f280 1357400959 S Bi:002:05 -115 13 <
df39f280 1357426955 C Bi:002:05 0 13 = 55534253 72030000 00000000 01
df39f280 1357426969 S Bo:002:05 -115 31 = 55534243 72030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1357427949 C Bo:002:05 0 31 >
df39f280 1357427956 S Bi:002:05 -115 18 <
df39f280 1357438948 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1357438954 S Bi:002:05 -115 13 <
df39f280 1357442947 C Bi:002:05 0 13 = 55534253 72030080 00000000 00
df39f280 1357442985 S Bo:002:05 -115 31 = 55534243 73030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1357443947 C Bo:002:05 0 31 >
df39f280 1357443953 S Bi:002:05 -115 13 <
df39f280 1357454945 C Bi:002:05 0 13 = 55534253 73030000 00000000 01
df39f280 1357454951 S Bo:002:05 -115 31 = 55534243 73030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1357455945 C Bo:002:05 0 31 >
df39f280 1357455951 S Bi:002:05 -115 18 <
df39f280 1357466944 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1357466950 S Bi:002:05 -115 13 <
df39f280 1357470943 C Bi:002:05 0 13 = 55534253 73030080 00000000 00
df39f280 1357470963 S Bo:002:05 -115 31 = 55534243 74030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1357471942 C Bo:002:05 0 31 >
df39f280 1357471948 S Bi:002:05 -115 13 <
df39f280 1357482941 C Bi:002:05 0 13 = 55534253 74030000 00000000 01
df39f280 1357482962 S Bo:002:05 -115 31 = 55534243 74030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1357483940 C Bo:002:05 0 31 >
df39f280 1357483953 S Bi:002:05 -115 18 <
df39f280 1357494938 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1357494953 S Bi:002:05 -115 13 <
df39f280 1357498938 C Bi:002:05 0 13 = 55534253 74030080 00000000 00
df39f280 1359502440 S Bo:002:05 -115 31 = 55534243 75030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1359503618 C Bo:002:05 0 31 >
df39f280 1359503626 S Bi:002:05 -115 13 <
df39f280 1359508613 C Bi:002:05 0 13 = 55534253 75030000 00000000 01
df39f280 1359508619 S Bo:002:05 -115 31 = 55534243 75030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1359509612 C Bo:002:05 0 31 >
df39f280 1359509618 S Bi:002:05 -115 18 <
df39f280 1359515612 C Bi:002:05 0 18 = 70000200 0000000c 00000000 3a000000 0000
df39f280 1359515618 S Bi:002:05 -115 13 <
df39f280 1359518612 C Bi:002:05 0 13 = 55534253 75030080 00000000 00
df39f280 1359518649 S Bo:002:05 -115 31 = 55534243 76030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1359519611 C Bo:002:05 0 31 >
df39f280 1359519617 S Bi:002:05 -115 13 <
df39f280 1359524610 C Bi:002:05 0 13 = 55534253 76030000 00000000 01
df39f280 1359524616 S Bo:002:05 -115 31 = 55534243 76030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1359525609 C Bo:002:05 0 31 >
df39f280 1359525615 S Bi:002:05 -115 18 <
df39f280 1359531609 C Bi:002:05 0 18 = 70000600 0000000c 00000000 28000000 0000
df39f280 1359531615 S Bi:002:05 -115 13 <
df39f280 1359534609 C Bi:002:05 0 13 = 55534253 76030080 00000000 00
df39f280 1359534630 S Bo:002:05 -115 31 = 55534243 77030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1359535608 C Bo:002:05 0 31 >
df39f280 1359535615 S Bi:002:05 -115 13 <
df39f280 1359540607 C Bi:002:05 0 13 = 55534253 77030000 00000000 00
df39f280 1359540628 S Bo:002:05 -115 31 = 55534243 78030000 08000000 80000a25
00000000 00000000 00000000 000000
df39f280 1359541607 C Bo:002:05 0 31 >
df39f280 1359541613 S Bi:002:05 -115 8 <
df39f280 1359547607 C Bi:002:05 0 8 = 000f4bff 00000200
df39f280 1359547613 S Bi:002:05 -115 13 <
df39f280 1359550607 C Bi:002:05 0 13 = 55534253 78030000 00000000 00
df39f280 1359550635 S Bo:002:05 -115 31 = 55534243 79030000 c0000000 8000061a
003f00c0 00000000 00000000 000000
df39f280 1359551608 C Bo:002:05 0 31 >
df39f280 1359551615 S Bi:002:05 -115 192 <
df39f280 1359557605 C Bi:002:05 0 192 = 17000008 000f4c00 00000200 010a8010
00000000 02740001 00000000 00000000
df39f280 1359557613 S Bi:002:05 -115 13 <
df39f280 1359560604 C Bi:002:05 0 13 = 55534253 79030000 a8000000 00
df39f280 1359560650 S Bo:002:05 -115 31 = 55534243 7a030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1359561604 C Bo:002:05 0 31 >
df39f280 1359561610 S Bi:002:05 -115 13 <
df39f280 1359567604 C Bi:002:05 0 13 = 55534253 7a030000 00000000 00
df39f280 1359567634 S Bo:002:05 -115 31 = 55534243 7b030000 08000000 80000a25
00000000 00000000 00000000 000000
df39f280 1359568603 C Bo:002:05 0 31 >
df39f280 1359568609 S Bi:002:05 -115 8 <
df39f280 1359584605 C Bi:002:05 0 8 = 000f4bff 00000200
df39f280 1359584617 S Bi:002:05 -115 13 <
df39f280 1359587599 C Bi:002:05 0 13 = 55534253 7b030000 00000000 00
df39f280 1359587641 S Bo:002:05 -115 31 = 55534243 7c030000 c0000000 8000061a
003f00c0 00000000 00000000 000000
df39f280 1359588599 C Bo:002:05 0 31 >
df39f280 1359588606 S Bi:002:05 -115 192 <
df39f280 1359594601 C Bi:002:05 0 192 = 17000008 000f4c00 00000200 010a8010
00000000 02740001 00000000 00000000
df39f280 1359594609 S Bi:002:05 -115 13 <
df39f280 1359597598 C Bi:002:05 0 13 = 55534253 7c030000 a8000000 00
df39f280 1359597654 S Bo:002:05 -115 31 = 55534243 7d030000 00100000 80000a28
00000000 00000008 00000000 000000
df39f280 1359598599 C Bo:002:05 0 31 >
db85c480 1359598608 S Bi:002:05 -115 4096 <
db85c480 1359608598 C Bi:002:05 0 4096 = eb3c904d 5357494e 342e3100 02200100
02000200 00f87f00 3f001000 e1000000
df39f280 1359608625 S Bi:002:05 -115 13 <
df39f280 1359611596 C Bi:002:05 0 13 = 55534253 7d030000 00000000 00
df39f280 1359613914 S Bo:002:05 -115 31 = 55534243 7e030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1359615600 C Bo:002:05 0 31 >
df39f280 1359615652 S Bi:002:05 -115 13 <
df39f280 1359620594 C Bi:002:05 0 13 = 55534253 7e030000 00000000 00
df39f280 1359620688 S Bo:002:05 -115 31 = 55534243 7f030000 00800000 80000a28
00000000 00000040 00000000 000000
df39f280 1359621594 C Bo:002:05 0 31 >
daaa6b80 1359621610 S Bi:002:05 -115 32768 <
daaa6b80 1359658596 C Bi:002:05 0 32768 = eb3c904d 5357494e 342e3100 02200100
02000200 00f87f00 3f001000 e1000000
df39f280 1359658660 S Bi:002:05 -115 13 <
df39f280 1359661588 C Bi:002:05 0 13 = 55534253 7f030000 00000000 00
df39f280 1359661742 S Bo:002:05 -115 31 = 55534243 80030000 00000100 80000a28
00000000 40000080 00000000 000000
df39f280 1359662588 C Bo:002:05 0 31 >
daaa6b80 1359662604 S Bi:002:05 -115 65536 <
daaa6b80 1359741577 C Bi:002:05 0 65536 = 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
df39f280 1359741596 S Bi:002:05 -115 13 <
df39f280 1359751573 C Bi:002:05 0 13 = 55534253 80030000 00000000 00
df39f280 1359751605 S Bo:002:05 -115 31 = 55534243 81030000 00500000 80000a28
00000000 f8000028 00000000 000000
df39f280 1359752573 C Bo:002:05 0 31 >
daaa6b80 1359752587 S Bi:002:05 -115 20480 <
daaa6b80 1359797570 C Bi:002:05 0 20480 = 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
df39f280 1359797624 S Bi:002:05 -115 13 <
df39f280 1359800565 C Bi:002:05 0 13 = 55534253 81030000 00000000 00
df39f280 1359803996 S Bo:002:05 -115 31 = 55534243 82030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1359805570 C Bo:002:05 0 31 >
df39f280 1359805590 S Bi:002:05 -115 13 <
df39f280 1359810564 C Bi:002:05 0 13 = 55534253 82030000 00000000 00
df39f280 1359812367 S Bo:002:05 -115 31 = 55534243 83030000 00100000 80000a28
00000f4b 80000008 00000000 000000
df39f280 1359813568 C Bo:002:05 0 31 >
daaa6b80 1359813587 S Bi:002:05 -115 4096 <
daaa6b80 1362767094 C Bi:002:05 0 4096 = 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
df39f280 1362767110 S Bi:002:05 -115 13 <
df39f280 1362770085 C Bi:002:05 0 13 = 55534253 83030000 00100000 01
df39f280 1362770092 S Bo:002:05 -115 31 = 55534243 83030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1362771085 C Bo:002:05 0 31 >
df39f280 1362771092 S Bi:002:05 -115 18 <
df39f280 1362776084 C Bi:002:05 0 18 = 70000300 0000000c 00000000 11110000 0000
df39f280 1362776090 S Bi:002:05 -115 13 <
df39f280 1362779085 C Bi:002:05 0 13 = 55534253 83030080 00000000 00
df39f280 1362779124 S Bo:002:05 -115 31 = 55534243 84030000 00100000 80000a28
00000f4b 80000008 00000000 000000
df39f280 1362780084 C Bo:002:05 0 31 >
daaa6b80 1362780092 S Bi:002:05 -115 4096 <
daaa6b80 1365688620 C Bi:002:05 0 4096 = 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
df39f280 1365688636 S Bi:002:05 -115 13 <
df39f280 1365691613 C Bi:002:05 0 13 = 55534253 84030000 00100000 01
df39f280 1365691621 S Bo:002:05 -115 31 = 55534243 84030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1365692613 C Bo:002:05 0 31 >
df39f280 1365692619 S Bi:002:05 -115 18 <
df39f280 1365697612 C Bi:002:05 0 18 = 70000300 0000000c 00000000 11110000 0000
df39f280 1365697618 S Bi:002:05 -115 13 <
df39f280 1365700611 C Bi:002:05 0 13 = 55534253 84030080 00000000 00
df39f280 1365700646 S Bo:002:05 -115 31 = 55534243 85030000 00100000 80000a28
00000f4b 80000008 00000000 000000
df39f280 1365701611 C Bo:002:05 0 31 >
dbf01f80 1365701618 S Bi:002:05 -115 4096 <
dbf01f80 1368622146 C Bi:002:05 0 4096 = 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
df39f280 1368622162 S Bi:002:05 -115 13 <
df39f280 1368625142 C Bi:002:05 0 13 = 55534253 85030000 00100000 01
df39f280 1368625153 S Bo:002:05 -115 31 = 55534243 85030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1368626138 C Bo:002:05 0 31 >
df39f280 1368626144 S Bi:002:05 -115 18 <
df39f280 1368631137 C Bi:002:05 0 18 = 70000300 0000000c 00000000 11110000 0000
df39f280 1368631143 S Bi:002:05 -115 13 <
df39f280 1368634137 C Bi:002:05 0 13 = 55534253 85030080 00000000 00
df39f280 1368634178 S Bo:002:05 -115 31 = 55534243 86030000 00100000 80000a28
00000f4b 80000008 00000000 000000
df39f280 1368635137 C Bo:002:05 0 31 >
dbf01f80 1368635145 S Bi:002:05 -115 4096 <
dbf01f80 1371538674 C Bi:002:05 0 4096 = 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
df39f280 1371538691 S Bi:002:05 -115 13 <
df39f280 1371541666 C Bi:002:05 0 13 = 55534253 86030000 00100000 01
df39f280 1371541673 S Bo:002:05 -115 31 = 55534243 86030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1371542665 C Bo:002:05 0 31 >
df39f280 1371542672 S Bi:002:05 -115 18 <
df39f280 1371547666 C Bi:002:05 0 18 = 70000300 0000000c 00000000 11110000 0000
df39f280 1371547673 S Bi:002:05 -115 13 <
df39f280 1371550665 C Bi:002:05 0 13 = 55534253 86030080 00000000 00
df39f280 1371550699 S Bo:002:05 -115 31 = 55534243 87030000 00100000 80000a28
00000f4b 80000008 00000000 000000
df39f280 1371551665 C Bo:002:05 0 31 >
daaa6880 1371551673 S Bi:002:05 -115 4096 <
daaa6880 1374489198 C Bi:002:05 0 4096 = 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
df39f280 1374489213 S Bi:002:05 -115 13 <
df39f280 1374492190 C Bi:002:05 0 13 = 55534253 87030000 00100000 01
df39f280 1374492197 S Bo:002:05 -115 31 = 55534243 87030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1374493189 C Bo:002:05 0 31 >
df39f280 1374493195 S Bi:002:05 -115 18 <
df39f280 1374498188 C Bi:002:05 0 18 = 70000300 0000000c 00000000 11110000 0000
df39f280 1374498194 S Bi:002:05 -115 13 <
df39f280 1374501187 C Bi:002:05 0 13 = 55534253 87030080 00000000 00
df39f280 1374501255 S Bo:002:05 -115 31 = 55534243 88030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1374502190 C Bo:002:05 0 31 >
df39f280 1374502198 S Bi:002:05 -115 13 <
df39f280 1374507186 C Bi:002:05 0 13 = 55534253 88030000 00000000 00
df39f280 1374507218 S Bo:002:05 -115 31 = 55534243 89030000 00100000 80000a28
00000f4b 80000008 00000000 000000
df39f280 1374508187 C Bo:002:05 0 31 >
daaa6880 1374508196 S Bi:002:05 -115 4096 <
daaa6880 1377455719 C Bi:002:05 0 4096 = 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
df39f280 1377455734 S Bi:002:05 -115 13 <
df39f280 1377458709 C Bi:002:05 0 13 = 55534253 89030000 00100000 01
df39f280 1377458716 S Bo:002:05 -115 31 = 55534243 89030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1377459709 C Bo:002:05 0 31 >
df39f280 1377459715 S Bi:002:05 -115 18 <
df39f280 1377464708 C Bi:002:05 0 18 = 70000300 0000000c 00000000 11110000 0000
df39f280 1377464714 S Bi:002:05 -115 13 <
df39f280 1377467708 C Bi:002:05 0 13 = 55534253 89030080 00000000 00
df39f280 1377467743 S Bo:002:05 -115 31 = 55534243 8a030000 00100000 80000a28
00000f4b 80000008 00000000 000000
df39f280 1377468708 C Bo:002:05 0 31 >
daaa6880 1377468716 S Bi:002:05 -115 4096 <
daaa6880 1380372246 C Bi:002:05 0 4096 = 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
df39f280 1380372262 S Bi:002:05 -115 13 <
df39f280 1380375237 C Bi:002:05 0 13 = 55534253 8a030000 00100000 01
df39f280 1380375244 S Bo:002:05 -115 31 = 55534243 8a030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1380376237 C Bo:002:05 0 31 >
df39f280 1380376244 S Bi:002:05 -115 18 <
df39f280 1380381237 C Bi:002:05 0 18 = 70000300 0000000c 00000000 11110000 0000
df39f280 1380381243 S Bi:002:05 -115 13 <
df39f280 1380384236 C Bi:002:05 0 13 = 55534253 8a030080 00000000 00
df39f280 1380384270 S Bo:002:05 -115 31 = 55534243 8b030000 00100000 80000a28
00000f4b 80000008 00000000 000000
df39f280 1380385236 C Bo:002:05 0 31 >
dbf01f80 1380385244 S Bi:002:05 -115 4096 <
dbf01f80 1383288774 C Bi:002:05 0 4096 = 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
df39f280 1383288789 S Bi:002:05 -115 13 <
df39f280 1383291765 C Bi:002:05 0 13 = 55534253 8b030000 00100000 01
df39f280 1383291772 S Bo:002:05 -115 31 = 55534243 8b030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1383292766 C Bo:002:05 0 31 >
df39f280 1383292772 S Bi:002:05 -115 18 <
df39f280 1383297765 C Bi:002:05 0 18 = 70000300 0000000c 00000000 11110000 0000
df39f280 1383297771 S Bi:002:05 -115 13 <
df39f280 1383300764 C Bi:002:05 0 13 = 55534253 8b030080 00000000 00
df39f280 1383300798 S Bo:002:05 -115 31 = 55534243 8c030000 00100000 80000a28
00000f4b 80000008 00000000 000000
df39f280 1383301764 C Bo:002:05 0 31 >
dbf01f80 1383301772 S Bi:002:05 -115 4096 <
dbf01f80 1386205303 C Bi:002:05 0 4096 = 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
df39f280 1386205319 S Bi:002:05 -115 13 <
df39f280 1386208295 C Bi:002:05 0 13 = 55534253 8c030000 00100000 01
df39f280 1386208302 S Bo:002:05 -115 31 = 55534243 8c030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1386209294 C Bo:002:05 0 31 >
df39f280 1386209300 S Bi:002:05 -115 18 <
df39f280 1386214293 C Bi:002:05 0 18 = 70000300 0000000c 00000000 11110000 0000
df39f280 1386214299 S Bi:002:05 -115 13 <
df39f280 1386217292 C Bi:002:05 0 13 = 55534253 8c030080 00000000 00
df39f280 1386217325 S Bo:002:05 -115 31 = 55534243 8d030000 00100000 80000a28
00000f4b 80000008 00000000 000000
df39f280 1386218292 C Bo:002:05 0 31 >
daaa6b80 1386218299 S Bi:002:05 -115 4096 <
daaa6b80 1389121830 C Bi:002:05 0 4096 = 00000000 00000000 00000000 00000000
00000000 00000000 00000000 00000000
df39f280 1389121846 S Bi:002:05 -115 13 <
df39f280 1389124822 C Bi:002:05 0 13 = 55534253 8d030000 00100000 01
df39f280 1389124830 S Bo:002:05 -115 31 = 55534243 8d030080 12000000 80000603
00000012 00000000 00000000 000000
df39f280 1389125822 C Bo:002:05 0 31 >
df39f280 1389125828 S Bi:002:05 -115 18 <
df39f280 1389130821 C Bi:002:05 0 18 = 70000300 0000000c 00000000 11110000 0000
df39f280 1389130828 S Bi:002:05 -115 13 <
df39f280 1389133835 C Bi:002:05 0 13 = 55534253 8d030080 00000000 00
df39f280 1389133965 S Bo:002:05 -115 31 = 55534243 8e030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1389134825 C Bo:002:05 0 31 >
df39f280 1389134836 S Bi:002:05 -115 13 <
df39f280 1389140822 C Bi:002:05 0 13 = 55534253 8e030000 00000000 00
df39f280 1391144349 S Bo:002:05 -115 31 = 55534243 8f030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1391145499 C Bo:002:05 0 31 >
df39f280 1391145507 S Bi:002:05 -115 13 <
df39f280 1391150495 C Bi:002:05 0 13 = 55534253 8f030000 00000000 00
df39f280 1393152574 S Bo:002:05 -115 31 = 55534243 90030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1393154175 C Bo:002:05 0 31 >
df39f280 1393154183 S Bi:002:05 -115 13 <
df39f280 1393159169 C Bi:002:05 0 13 = 55534253 90030000 00000000 00
df39f280 1395160599 S Bo:002:05 -115 31 = 55534243 91030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1395161850 C Bo:002:05 0 31 >
df39f280 1395161858 S Bi:002:05 -115 13 <
df39f280 1395166845 C Bi:002:05 0 13 = 55534253 91030000 00000000 00
df39f280 1397168725 S Bo:002:05 -115 31 = 55534243 92030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1397170525 C Bo:002:05 0 31 >
df39f280 1397170533 S Bi:002:05 -115 13 <
df39f280 1397175520 C Bi:002:05 0 13 = 55534253 92030000 00000000 00
df39f280 1399176863 S Bo:002:05 -115 31 = 55534243 93030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1399178200 C Bo:002:05 0 31 >
df39f280 1399178208 S Bi:002:05 -115 13 <
df39f280 1399183195 C Bi:002:05 0 13 = 55534253 93030000 00000000 00
df39f280 1401184971 S Bo:002:05 -115 31 = 55534243 94030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1401186876 C Bo:002:05 0 31 >
df39f280 1401186884 S Bi:002:05 -115 13 <
df39f280 1401191870 C Bi:002:05 0 13 = 55534253 94030000 00000000 00
df39f280 1403193097 S Bo:002:05 -115 31 = 55534243 95030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1403194551 C Bo:002:05 0 31 >
df39f280 1403194559 S Bi:002:05 -115 13 <
df39f280 1403199545 C Bi:002:05 0 13 = 55534253 95030000 00000000 00
df39f280 1405201251 S Bo:002:05 -115 31 = 55534243 96030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1405203226 C Bo:002:05 0 31 >
df39f280 1405203234 S Bi:002:05 -115 13 <
df39f280 1405208220 C Bi:002:05 0 13 = 55534253 96030000 00000000 00
df39f280 1407209394 S Bo:002:05 -115 31 = 55534243 97030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1407210901 C Bo:002:05 0 31 >
df39f280 1407210909 S Bi:002:05 -115 13 <
df39f280 1407215896 C Bi:002:05 0 13 = 55534253 97030000 00000000 00
df39f280 1409217475 S Bo:002:05 -115 31 = 55534243 98030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1409218584 C Bo:002:05 0 31 >
df39f280 1409219091 S Bi:002:05 -115 13 <
df39f280 1409223572 C Bi:002:05 0 13 = 55534253 98030000 00000000 00
df39f280 1411225591 S Bo:002:05 -115 31 = 55534243 99030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1411227250 C Bo:002:05 0 31 >
df39f280 1411227257 S Bi:002:05 -115 13 <
df39f280 1411232246 C Bi:002:05 0 13 = 55534253 99030000 00000000 00
df39f280 1413233715 S Bo:002:05 -115 31 = 55534243 9a030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1413234927 C Bo:002:05 0 31 >
df39f280 1413234936 S Bi:002:05 -115 13 <
df39f280 1413249927 C Bi:002:05 0 13 = 55534253 9a030000 00000000 00
df39f280 1415254867 S Bo:002:05 -115 31 = 55534243 9b030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1415256600 C Bo:002:05 0 31 >
df39f280 1415256613 S Bi:002:05 -115 13 <
df39f280 1415261592 C Bi:002:05 0 13 = 55534253 9b030000 00000000 00
df39f280 1417261986 S Bo:002:05 -115 31 = 55534243 9c030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1417263276 C Bo:002:05 0 31 >
df39f280 1417263284 S Bi:002:05 -115 13 <
df39f280 1417268271 C Bi:002:05 0 13 = 55534253 9c030000 00000000 00
df39f280 1419270101 S Bo:002:05 -115 31 = 55534243 9d030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1419271956 C Bo:002:05 0 31 >
df39f280 1419271970 S Bi:002:05 -115 13 <
df39f280 1419276951 C Bi:002:05 0 13 = 55534253 9d030000 00000000 00
df39f280 1421278237 S Bo:002:05 -115 31 = 55534243 9e030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1421279624 C Bo:002:05 0 31 >
df39f280 1421279632 S Bi:002:05 -115 13 <
df39f280 1421284620 C Bi:002:05 0 13 = 55534253 9e030000 00000000 00
df39f280 1423293771 S Bo:002:05 -115 31 = 55534243 9f030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1423295298 C Bo:002:05 0 31 >
df39f280 1423295308 S Bi:002:05 -115 13 <
df39f280 1423300294 C Bi:002:05 0 13 = 55534253 9f030000 00000000 00
df39f280 1425302751 S Bo:002:05 -115 31 = 55534243 a0030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1425303973 C Bo:002:05 0 31 >
df39f280 1425303982 S Bi:002:05 -115 13 <
df39f280 1425308975 C Bi:002:05 0 13 = 55534253 a0030000 00000000 00
df39f280 1427310611 S Bo:002:05 -115 31 = 55534243 a1030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1427311650 C Bo:002:05 0 31 >
df39f280 1427311658 S Bi:002:05 -115 13 <
df39f280 1427316644 C Bi:002:05 0 13 = 55534253 a1030000 00000000 00
df39f280 1429318745 S Bo:002:05 -115 31 = 55534243 a2030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1429320324 C Bo:002:05 0 31 >
df39f280 1429320332 S Bi:002:05 -115 13 <
df39f280 1429325319 C Bi:002:05 0 13 = 55534253 a2030000 00000000 00
df39f280 1431326860 S Bo:002:05 -115 31 = 55534243 a3030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1431328001 C Bo:002:05 0 31 >
df39f280 1431328009 S Bi:002:05 -115 13 <
df39f280 1431332995 C Bi:002:05 0 13 = 55534253 a3030000 00000000 00
df39f280 1433334986 S Bo:002:05 -115 31 = 55534243 a4030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1433336675 C Bo:002:05 0 31 >
df39f280 1433336683 S Bi:002:05 -115 13 <
df39f280 1433341669 C Bi:002:05 0 13 = 55534253 a4030000 00000000 00
df39f280 1435343112 S Bo:002:05 -115 31 = 55534243 a5030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1435344351 C Bo:002:05 0 31 >
df39f280 1435344359 S Bi:002:05 -115 13 <
df39f280 1435349345 C Bi:002:05 0 13 = 55534253 a5030000 00000000 00
df39f280 1437351237 S Bo:002:05 -115 31 = 55534243 a6030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1437353025 C Bo:002:05 0 31 >
df39f280 1437353033 S Bi:002:05 -115 13 <
df39f280 1437358020 C Bi:002:05 0 13 = 55534253 a6030000 00000000 00
df39f280 1439361492 S Bo:002:05 -115 31 = 55534243 a7030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1439362702 C Bo:002:05 0 31 >
df39f280 1439362713 S Bi:002:05 -115 13 <
df39f280 1439367695 C Bi:002:05 0 13 = 55534253 a7030000 00000000 00
df39f280 1441371490 S Bo:002:05 -115 31 = 55534243 a8030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1441373375 C Bo:002:05 0 31 >
df39f280 1441373383 S Bi:002:05 -115 13 <
df39f280 1441378370 C Bi:002:05 0 13 = 55534253 a8030000 00000000 00
df39f280 1443379620 S Bo:002:05 -115 31 = 55534243 a9030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1443381050 C Bo:002:05 0 31 >
df39f280 1443381058 S Bi:002:05 -115 13 <
df39f280 1443386045 C Bi:002:05 0 13 = 55534253 a9030000 00000000 00
df39f280 1445387748 S Bo:002:05 -115 31 = 55534243 aa030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1445389723 C Bo:002:05 0 31 >
df39f280 1445389731 S Bi:002:05 -115 13 <
df39f280 1445394726 C Bi:002:05 0 13 = 55534253 aa030000 00000000 00
df39f280 1447395880 S Bo:002:05 -115 31 = 55534243 ab030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1447397399 C Bo:002:05 0 31 >
df39f280 1447397407 S Bi:002:05 -115 13 <
df39f280 1447415400 C Bi:002:05 0 13 = 55534253 ab030000 00000000 00
df39f280 1449415991 S Bo:002:05 -115 31 = 55534243 ac030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1449417074 C Bo:002:05 0 31 >
df39f280 1449417082 S Bi:002:05 -115 13 <
df39f280 1449422068 C Bi:002:05 0 13 = 55534253 ac030000 00000000 00
df39f280 1451424117 S Bo:002:05 -115 31 = 55534243 ad030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1451425749 C Bo:002:05 0 31 >
df39f280 1451425757 S Bi:002:05 -115 13 <
df39f280 1451430743 C Bi:002:05 0 13 = 55534253 ad030000 00000000 00
df39f280 1453432241 S Bo:002:05 -115 31 = 55534243 ae030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1453433424 C Bo:002:05 0 31 >
df39f280 1453433432 S Bi:002:05 -115 13 <
df39f280 1453438419 C Bi:002:05 0 13 = 55534253 ae030000 00000000 00
df39f280 1455440368 S Bo:002:05 -115 31 = 55534243 af030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1455442105 C Bo:002:05 0 31 >
df39f280 1455442461 S Bi:002:05 -115 13 <
df39f280 1455447096 C Bi:002:05 0 13 = 55534253 af030000 00000000 00
df39f280 1457448495 S Bo:002:05 -115 31 = 55534243 b0030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1457449775 C Bo:002:05 0 31 >
df39f280 1457449783 S Bi:002:05 -115 13 <
df39f280 1457454769 C Bi:002:05 0 13 = 55534253 b0030000 00000000 00
df39f280 1459456620 S Bo:002:05 -115 31 = 55534243 b1030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1459458450 C Bo:002:05 0 31 >
df39f280 1459458458 S Bi:002:05 -115 13 <
df39f280 1459463444 C Bi:002:05 0 13 = 55534253 b1030000 00000000 00
df39f280 1461464745 S Bo:002:05 -115 31 = 55534243 b2030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1461466125 C Bo:002:05 0 31 >
df39f280 1461466133 S Bi:002:05 -115 13 <
df39f280 1461471119 C Bi:002:05 0 13 = 55534253 b2030000 00000000 00
df39f280 1463472871 S Bo:002:05 -115 31 = 55534243 b3030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1463474800 C Bo:002:05 0 31 >
df39f280 1463474808 S Bi:002:05 -115 13 <
df39f280 1463479795 C Bi:002:05 0 13 = 55534253 b3030000 00000000 00
df39f280 1465480995 S Bo:002:05 -115 31 = 55534243 b4030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1465482475 C Bo:002:05 0 31 >
df39f280 1465482483 S Bi:002:05 -115 13 <
df39f280 1465487470 C Bi:002:05 0 13 = 55534253 b4030000 00000000 00
df39f280 1467489201 S Bo:002:05 -115 31 = 55534243 b5030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1467491151 C Bo:002:05 0 31 >
df39f280 1467491159 S Bi:002:05 -115 13 <
df39f280 1467496145 C Bi:002:05 0 13 = 55534253 b5030000 00000000 00
df39f280 1469497248 S Bo:002:05 -115 31 = 55534243 b6030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1469498826 C Bo:002:05 0 31 >
df39f280 1469498834 S Bi:002:05 -115 13 <
df39f280 1469503820 C Bi:002:05 0 13 = 55534253 b6030000 00000000 00
df39f280 1471505371 S Bo:002:05 -115 31 = 55534243 b7030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1471506502 C Bo:002:05 0 31 >
df39f280 1471506510 S Bi:002:05 -115 13 <
df39f280 1471511496 C Bi:002:05 0 13 = 55534253 b7030000 00000000 00
df39f280 1473513501 S Bo:002:05 -115 31 = 55534243 b8030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1473515176 C Bo:002:05 0 31 >
df39f280 1473515184 S Bi:002:05 -115 13 <
df39f280 1473520170 C Bi:002:05 0 13 = 55534253 b8030000 00000000 00
df39f280 1475521624 S Bo:002:05 -115 31 = 55534243 b9030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1475522852 C Bo:002:05 0 31 >
df39f280 1475522859 S Bi:002:05 -115 13 <
df39f280 1475527846 C Bi:002:05 0 13 = 55534253 b9030000 00000000 00
df39f280 1477529747 S Bo:002:05 -115 31 = 55534243 ba030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1477531526 C Bo:002:05 0 31 >
df39f280 1477531534 S Bi:002:05 -115 13 <
df39f280 1477536521 C Bi:002:05 0 13 = 55534253 ba030000 00000000 00
df39f280 1479538842 S Bo:002:05 -115 31 = 55534243 bb030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1479540202 C Bo:002:05 0 31 >
df39f280 1479540212 S Bi:002:05 -115 13 <
df39f280 1479545195 C Bi:002:05 0 13 = 55534253 bb030000 00000000 00
df39f280 1481546001 S Bo:002:05 -115 31 = 55534243 bc030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1481547877 C Bo:002:05 0 31 >
df39f280 1481547885 S Bi:002:05 -115 13 <
df39f280 1481552871 C Bi:002:05 0 13 = 55534253 bc030000 00000000 00
df39f280 1483554126 S Bo:002:05 -115 31 = 55534243 bd030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1483555552 C Bo:002:05 0 31 >
df39f280 1483555560 S Bi:002:05 -115 13 <
df39f280 1483560546 C Bi:002:05 0 13 = 55534253 bd030000 00000000 00
df39f280 1485563177 S Bo:002:05 -115 31 = 55534243 be030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1485564227 C Bo:002:05 0 31 >
df39f280 1485564236 S Bi:002:05 -115 13 <
df39f280 1485580231 C Bi:002:05 0 13 = 55534253 be030000 00000000 00
df39f280 1487582377 S Bo:002:05 -115 31 = 55534243 bf030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1487583900 C Bo:002:05 0 31 >
df39f280 1487583908 S Bi:002:05 -115 13 <
df39f280 1487588895 C Bi:002:05 0 13 = 55534253 bf030000 00000000 00
df39f280 1489590509 S Bo:002:05 -115 31 = 55534243 c0030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1489591576 C Bo:002:05 0 31 >
df39f280 1489591584 S Bi:002:05 -115 13 <
df39f280 1489596570 C Bi:002:05 0 13 = 55534253 c0030000 00000000 00
df39f280 1491598629 S Bo:002:05 -115 31 = 55534243 c1030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1491600251 C Bo:002:05 0 31 >
df39f280 1491600258 S Bi:002:05 -115 13 <
df39f280 1491605246 C Bi:002:05 0 13 = 55534253 c1030000 00000000 00
df39f280 1493606759 S Bo:002:05 -115 31 = 55534243 c2030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1493607926 C Bo:002:05 0 31 >
df39f280 1493607934 S Bi:002:05 -115 13 <
df39f280 1493612920 C Bi:002:05 0 13 = 55534253 c2030000 00000000 00
df39f280 1495615406 S Bo:002:05 -115 31 = 55534243 c3030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1495616602 C Bo:002:05 0 31 >
df39f280 1495616610 S Bi:002:05 -115 13 <
df39f280 1495621595 C Bi:002:05 0 13 = 55534253 c3030000 00000000 00
df39f280 1497622995 S Bo:002:05 -115 31 = 55534243 c4030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1497624276 C Bo:002:05 0 31 >
df39f280 1497624284 S Bi:002:05 -115 13 <
df39f280 1497629271 C Bi:002:05 0 13 = 55534253 c4030000 00000000 00
df39f280 1499631118 S Bo:002:05 -115 31 = 55534243 c5030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1499632951 C Bo:002:05 0 31 >
df39f280 1499632959 S Bi:002:05 -115 13 <
df39f280 1499637946 C Bi:002:05 0 13 = 55534253 c5030000 00000000 00
df39f280 1501639243 S Bo:002:05 -115 31 = 55534243 c6030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1501640627 C Bo:002:05 0 31 >
df39f280 1501640635 S Bi:002:05 -115 13 <
df39f280 1501645621 C Bi:002:05 0 13 = 55534253 c6030000 00000000 00
df39f280 1503659386 S Bo:002:05 -115 31 = 55534243 c7030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1503661299 C Bo:002:05 0 31 >
df39f280 1503661308 S Bi:002:05 -115 13 <
df39f280 1503666295 C Bi:002:05 0 13 = 55534253 c7030000 00000000 00
df39f280 1505671497 S Bo:002:05 -115 31 = 55534243 c8030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1505672975 C Bo:002:05 0 31 >
df39f280 1505672983 S Bi:002:05 -115 13 <
df39f280 1505677969 C Bi:002:05 0 13 = 55534253 c8030000 00000000 00
df39f280 1507679635 S Bo:002:05 -115 31 = 55534243 c9030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1507681649 C Bo:002:05 0 31 >
df39f280 1507681657 S Bi:002:05 -115 13 <
df39f280 1507686654 C Bi:002:05 0 13 = 55534253 c9030000 00000000 00
df39f280 1509687796 S Bo:002:05 -115 31 = 55534243 ca030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1509689325 C Bo:002:05 0 31 >
df39f280 1509689333 S Bi:002:05 -115 13 <
df39f280 1509694319 C Bi:002:05 0 13 = 55534253 ca030000 00000000 00
df39f280 1511695874 S Bo:002:05 -115 31 = 55534243 cb030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1511697000 C Bo:002:05 0 31 >
df39f280 1511697007 S Bi:002:05 -115 13 <
df39f280 1511701995 C Bi:002:05 0 13 = 55534253 cb030000 00000000 00
df39f280 1513704009 S Bo:002:05 -115 31 = 55534243 cc030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1513705675 C Bo:002:05 0 31 >
df39f280 1513705683 S Bi:002:05 -115 13 <
df39f280 1513710669 C Bi:002:05 0 13 = 55534253 cc030000 00000000 00
df39f280 1515712139 S Bo:002:05 -115 31 = 55534243 cd030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1515713351 C Bo:002:05 0 31 >
df39f280 1515713358 S Bi:002:05 -115 13 <
df39f280 1515718345 C Bi:002:05 0 13 = 55534253 cd030000 00000000 00
df39f280 1517720300 S Bo:002:05 -115 31 = 55534243 ce030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1517722026 C Bo:002:05 0 31 >
df39f280 1517722034 S Bi:002:05 -115 13 <
df39f280 1517727020 C Bi:002:05 0 13 = 55534253 ce030000 00000000 00
df39f280 1519728385 S Bo:002:05 -115 31 = 55534243 cf030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1519729700 C Bo:002:05 0 31 >
df39f280 1519729708 S Bi:002:05 -115 13 <
df39f280 1519745694 C Bi:002:05 0 13 = 55534253 cf030000 00000000 00
df39f280 1521749041 S Bo:002:05 -115 31 = 55534243 d0030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1521750375 C Bo:002:05 0 31 >
df39f280 1521750385 S Bi:002:05 -115 13 <
df39f280 1521755367 C Bi:002:05 0 13 = 55534253 d0030000 00000000 00
df39f280 1523756650 S Bo:002:05 -115 31 = 55534243 d1030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1523758049 C Bo:002:05 0 31 >
df39f280 1523758057 S Bi:002:05 -115 13 <
df39f280 1523763043 C Bi:002:05 0 13 = 55534253 d1030000 00000000 00
df39f280 1525764765 S Bo:002:05 -115 31 = 55534243 d2030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1525766724 C Bo:002:05 0 31 >
df39f280 1525766732 S Bi:002:05 -115 13 <
df39f280 1525772719 C Bi:002:05 0 13 = 55534253 d2030000 00000000 00
df39f280 1527776878 S Bo:002:05 -115 31 = 55534243 d3030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1527778398 C Bo:002:05 0 31 >
df39f280 1527778406 S Bi:002:05 -115 13 <
df39f280 1527783394 C Bi:002:05 0 13 = 55534253 d3030000 00000000 00
df39f280 1529785004 S Bo:002:05 -115 31 = 55534243 d4030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1529786074 C Bo:002:05 0 31 >
df39f280 1529786082 S Bi:002:05 -115 13 <
df39f280 1529791068 C Bi:002:05 0 13 = 55534253 d4030000 00000000 00
df39f280 1531793143 S Bo:002:05 -115 31 = 55534243 d5030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1531794749 C Bo:002:05 0 31 >
df39f280 1531794757 S Bi:002:05 -115 13 <
df39f280 1531799744 C Bi:002:05 0 13 = 55534253 d5030000 00000000 00
df39f280 1533801265 S Bo:002:05 -115 31 = 55534243 d6030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1533802425 C Bo:002:05 0 31 >
df39f280 1533802433 S Bi:002:05 -115 13 <
df39f280 1533807419 C Bi:002:05 0 13 = 55534253 d6030000 00000000 00
df39f280 1535809394 S Bo:002:05 -115 31 = 55534243 d7030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1535811099 C Bo:002:05 0 31 >
df39f280 1535811107 S Bi:002:05 -115 13 <
df39f280 1535816094 C Bi:002:05 0 13 = 55534253 d7030000 00000000 00
df39f280 1537817517 S Bo:002:05 -115 31 = 55534243 d8030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1537818775 C Bo:002:05 0 31 >
df39f280 1537818783 S Bi:002:05 -115 13 <
df39f280 1537823769 C Bi:002:05 0 13 = 55534253 d8030000 00000000 00
df39f280 1539825671 S Bo:002:05 -115 31 = 55534243 d9030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1539827450 C Bo:002:05 0 31 >
df39f280 1539827459 S Bi:002:05 -115 13 <
df39f280 1539832448 C Bi:002:05 0 13 = 55534253 d9030000 00000000 00
df39f280 1541833862 S Bo:002:05 -115 31 = 55534243 da030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1541835125 C Bo:002:05 0 31 >
df39f280 1541835133 S Bi:002:05 -115 13 <
df39f280 1541840119 C Bi:002:05 0 13 = 55534253 da030000 00000000 00
df39f280 1543841894 S Bo:002:05 -115 31 = 55534243 db030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1543843800 C Bo:002:05 0 31 >
df39f280 1543843808 S Bi:002:05 -115 13 <
df39f280 1543848795 C Bi:002:05 0 13 = 55534253 db030000 00000000 00
df39f280 1545850019 S Bo:002:05 -115 31 = 55534243 dc030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1545851475 C Bo:002:05 0 31 >
df39f280 1545851483 S Bi:002:05 -115 13 <
df39f280 1545856475 C Bi:002:05 0 13 = 55534253 dc030000 00000000 00
df39f280 1547858222 S Bo:002:05 -115 31 = 55534243 dd030000 00000000 00000600
00000000 00000000 00000000 000000
df39f280 1547860150 C Bo:002:05 0 31 >
df39f280 1547860158 S Bi:002:05 -115 13 <
df39f280 1547865145 C Bi:002:05 0 13 = 55534253 dd030000 00000000 00
Comment 12 Pete Zaitcev 2005-10-02 15:22:22 EDT
I was negligend in adding "PLEASE DO NOT DROP INTO COMMENTS BOX", sorry.
Comment 13 Dov Grobgeld 2005-10-03 00:30:20 EDT
Sorry about that, but as I can't erase old coments, there is nothing much I can
do about it now.
Comment 14 Dov Grobgeld 2005-11-03 11:31:57 EST
Bug still there in 2.6.13-1.1532_FC4 .
Comment 15 Dave Jones 2005-11-10 14:07:16 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 16 Dov Grobgeld 2005-11-11 00:24:20 EST
Just tested. Didn't help. I still get the same error messages in 2.6.14-1.1637_FC4 .
Comment 17 Dave Jones 2006-02-03 01:31:22 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 18 Dov Grobgeld 2006-02-06 12:50:52 EST
I regret to confirm that the bug still exists in the latest kernel
2.6.15-1.1830_FC4 . Sigh...

The errors are exactly the same as before.
Comment 19 Dave Jones 2006-09-16 21:38:40 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 20 Dov Grobgeld 2006-09-16 23:24:32 EDT
I just testet it again. Result is the same with kernel 2.6.17-1.2174_FC5 .
(Fortunately my no name external $10 SD-reader works, so its not much of a
problem anymore for me.)
Comment 21 Dave Jones 2006-10-16 16:20:48 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 22 Dov Grobgeld 2006-10-18 17:07:13 EDT
I just testet it again. Result is the same with kernel 2.6.18-1.2200.fc5 .
Comment 23 Hans de Goede 2007-06-07 15:05:40 EDT
Hi,

I had the same problem, after encountering this bug and learning that others
were  having troubles too, I decided to spend some time on this. I now have this
problem fixed for my printer.

Can you please attach the output of "cat /proc/bus/usb/devices" then I can
modify my patch to see if I can fix it for you too.
Comment 24 Dov Grobgeld 2007-06-07 15:23:03 EDT
Hi Hans,

I'm happy to see that someone is looking in to this. Here is the output that you
requested:

# cat /proc/bus/usb/devices
T:  Bus=07 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480 MxCh= 6
B:  Alloc=  0/800 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.21-1.3194.fc7 ehci_hcd
S:  Product=EHCI Host Controller
S:  SerialNumber=0000:00:1d.7
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   4 Ivl=256ms

T:  Bus=06 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=480 MxCh= 4
B:  Alloc=  0/800 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 2.00 Cls=09(hub  ) Sub=00 Prot=01 MxPS=64 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.21-1.3194.fc7 ehci_hcd
S:  Product=EHCI Host Controller
S:  SerialNumber=0000:00:1a.7
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   4 Ivl=256ms

T:  Bus=05 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.21-1.3194.fc7 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.2
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=05 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  4 Spd=12  MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=03f0 ProdID=b202 Rev= 1.00
S:  Manufacturer=hp
S:  Product=photosmart 7600 series
S:  SerialNumber=MY44N3J0HVP6
C:* #Ifs= 3 Cfg#= 1 Atr=c0 MxPwr=  2mA
I:* If#= 0 Alt= 0 #EPs= 3 Cls=07(print) Sub=01 Prot=02 Driver=usblp
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=03(Int.) MxPS=   8 Ivl=10ms
I:* If#= 1 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=03(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=83(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=84(I) Atr=03(Int.) MxPS=   8 Ivl=10ms
I:* If#= 2 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E:  Ad=05(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=85(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms

T:  Bus=04 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.21-1.3194.fc7 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.1
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.21-1.3194.fc7 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1d.0
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.21-1.3194.fc7 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1a.1
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.21-1.3194.fc7 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1a.0
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms

T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=ff(vend.) Sub=ff Prot=ff MxPS= 8 #Cfgs=  1
P:  Vendor=046d ProdID=0870 Rev= 1.00
S:  Product=Camera
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr= 90mA
I:* If#= 0 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=81(I) Atr=01(Isoc) MxPS=   0 Ivl=1ms
E:  Ad=82(I) Atr=03(Int.) MxPS=   1 Ivl=16ms
I:  If#= 0 Alt= 1 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=81(I) Atr=01(Isoc) MxPS=1023 Ivl=1ms
E:  Ad=82(I) Atr=03(Int.) MxPS=   1 Ivl=16ms

The error messages are as before:

Jun  7 22:19:08 grower kernel: Buffer I/O error on device sdc, logical block 3639
Jun  7 22:19:11 grower kernel: sd 8:0:0:0: SCSI error: return code = 0x08000002
Jun  7 22:19:11 grower kernel: sdc: Current: sense key: Medium Error
Jun  7 22:19:11 grower kernel:     Additional sense: Read error - loss of streaming
Jun  7 22:19:11 grower kernel: end_request: I/O error, dev sdc, sector 29112
Jun  7 22:19:11 grower kernel: Buffer I/O error on device sdc, logical block 363
Comment 25 Hans de Goede 2007-06-07 15:47:19 EDT
Created attachment 156498 [details]
usb-storage packaged as stand-alone module for testing

Wow that was quick.

okay, the attached usb-storage version should fix this for you (I added an
unusual_dev.h entry for your printer identical to the one needed for mine).

To test:
-make sure you've got the kernel-devel package installed matching the
 kernel you are currently running
-power off printer, unplug any usb disks / sticks
-unpack attached tarbal
-cd t
-make
-sudo rmmod usb-storage
-sudo insmod usb-storage.ko
-power on printer
-dmesg should say: "usb-storage: flags: 10"
-insert sd-card
-window showing contents should appear and everything should work fine

Thanks!
Comment 26 Pete Zaitcev 2007-06-07 16:00:57 EDT
In simple words, Hans is trying to say this:

diff -ur ../ksrc/linux-2.6.22-rc4-mon/drivers/usb/storage/unusual_devs.h
t/unusual_devs.h
--- ../ksrc/linux-2.6.22-rc4-mon/drivers/usb/storage/unusual_devs.h	2007-05-25
21:00:34.000000000 -0700
+++ t/unusual_devs.h	2007-06-07 12:53:06.000000000 -0700
@@ -1456,6 +1456,18 @@
 		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_CAPACITY_HEURISTICS),
 
+/* Reported by Hans de Goede <j.w.r.degoede@hhs.nl> */
+UNUSUAL_DEV_EXT( 0x03f0, 0x3b11, 0x100, 0x100,
+		"HP",
+		"psc 1300 series",
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
+		US_FL_FIX_CAPACITY),
+UNUSUAL_DEV( 0x03f0, 0xb202, 0x100, 0x100,
+		"HP",
+		"photosmart 7600 series",
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
+		US_FL_FIX_CAPACITY),
+
 /* Control/Bulk transport for all SubClass values */
 USUAL_DEV(US_SC_RBC, US_PR_CB, USB_US_TYPE_STOR),
 USUAL_DEV(US_SC_8020, US_PR_CB, USB_US_TYPE_STOR),
Comment 27 Dov Grobgeld 2007-06-07 16:14:44 EDT
Well, I tried, and it doesn't work. I do get the "usb-stogare: flags: 10"
message in dmesg, but the I/O errors remain. I crossed checked the card with an
external SD reader and it mounts fine. Theoretically it might be the printer
that is at fault, but I doubt it. Any more ideas. (I don't promise to answer as
quickly though. ;-)
Comment 28 Hans de Goede 2007-06-07 16:45:02 EDT
(In reply to comment #26)
> In simple words, Hans is trying to say this:
> 
> diff -ur ../ksrc/linux-2.6.22-rc4-mon/drivers/usb/storage/unusual_devs.h
> t/unusual_devs.h
> --- ../ksrc/linux-2.6.22-rc4-mon/drivers/usb/storage/unusual_devs.h	2007-05-25
> 21:00:34.000000000 -0700
> +++ t/unusual_devs.h	2007-06-07 12:53:06.000000000 -0700
> @@ -1456,6 +1456,18 @@
>  		US_SC_DEVICE, US_PR_DEVICE, NULL,
>  		US_FL_CAPACITY_HEURISTICS),
>  
> +/* Reported by Hans de Goede <j.w.r.degoede@hhs.nl> */
> +UNUSUAL_DEV_EXT( 0x03f0, 0x3b11, 0x100, 0x100,
> +		"HP",
> +		"psc 1300 series",
> +		US_SC_DEVICE, US_PR_DEVICE, NULL,
> +		US_FL_FIX_CAPACITY),
> +UNUSUAL_DEV( 0x03f0, 0xb202, 0x100, 0x100,
> +		"HP",
> +		"photosmart 7600 series",
> +		US_SC_DEVICE, US_PR_DEVICE, NULL,
> +		US_FL_FIX_CAPACITY),
> +
>  /* Control/Bulk transport for all SubClass values */
>  USUAL_DEV(US_SC_RBC, US_PR_CB, USB_US_TYPE_STOR),
>  USUAL_DEV(US_SC_8020, US_PR_CB, USB_US_TYPE_STOR),
> 

Not quite, notice the UNUSUAL_DEV_EXT instead of normal UNUSUAL_DEV
and the second added line should be:
UNUSUAL_DEV_EXT( 0x03F0, 0x3B11, 0x100, 0x100, USB_CLASS_MASS_STORAGE,

Notice the additonal USB_CLASS_MASS_STORAGE parameter, this whole
UNUSUAL_DEV_EXT is a new macro I made especially for this:

#define UNUSUAL_DEV_EXT(id_vendor, id_product, bcdDeviceMin, bcdDeviceMax, \
                interfaceClass, vendorName, productName, useProtocol, \
                useTransport, initFunction, flags) \
{       .match_flags = USB_DEVICE_ID_MATCH_DEVICE_AND_VERSION| \
                USB_DEVICE_ID_MATCH_INT_CLASS, \
        .idVendor = (id_vendor), .idProduct = (id_product), \
        .bcdDevice_lo = (bcdDeviceMin), .bcdDevice_hi = (bcdDeviceMax), \
        .bInterfaceClass = (interfaceClass), \
        .driver_info = (flags) | (USB_US_TYPE_STOR << 24) \
}

Which not only matches the deviceid + version but also the interface class info.
This is needed as these printers are multifunction devices and without this new
UNUSUAL_DEV_EXT macro, the driver_info also gets passed to the drivers for the
other interfaces of the printer, which is not what we want. If you know a better
way I'm all ears :)

I'm working on sending this upstream with explanation for the additional macro,
but I wanted to send the entry for Dov's printer together with mine, as I
thought I could fix his too. Before I send this upstream any better ideas then
my hackish UNUSUAL_DEV_EXT macro?
Comment 29 Hans de Goede 2007-06-07 16:54:33 EDT
Created attachment 156508 [details]
new version of usb-storage

Next try, now with usb-storage debugging enabled. and the flag changed to
US_FL_CAPACITY_HEURISTICS

Could you please attach your dmesg output, run shortly after inserting the
sdcard (if you wait too long the ringbuffer will loose some of the initial
interesting messages)
Comment 30 Hans de Goede 2007-06-10 05:00:35 EDT
I'm making progress, FYI I just send this mail to the usb-storage mailinglist:

---

Hi all,

After encountering this bug in RH bugzilla while doing bug triaging:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158717

I thought hey, that reminds me the reader in my PSC has troubles too, lets see
if I can fix this.

So after 3 long evenings of debugging, I finally have my cardreader working
"properly" (what a piece of <beep>).

At first I tried and succeeded with US_FL_FIX_CAPACITY, that worked but gave me
warnings that the partition was larger then the device, and read access beyond
the end of device errors. But it worked now!

Further debugging has lead me to the following conclusion (with a few not
suitable for submitting usb-storage mods to proof it, proof as in it works).

The HP PSC 1350 reader will "crash" and from that moment on no longer
communicate in any sane way, if you try to read the last sector of an sdcard* in
a read that is more then 1 sector, so trying to read 8 sectors starting at
sector capicity-8 will crash it, as will reading 2 sectors starting at sector
capicity-2, however reading the last sector in a one 1 sector read will succeed!
(* xdcards seem to be fine).

I haven't tried if it will crash on larger then 1 sector writes which include
the last sector too, I immediately added code to not do that in both the read
and write paths. I have tested reading and writing the end of the disk with this
kludge in and it works.

As said I currently have an "really ugly" (tm) patch which modifies READ_10 and
WRITE_10 commands in the usb-storage driver. Before I write a "proper" patch I
have some questions:
1) currently I have decided to add quirk code for this to the usb-storage 
   driver, as I don't want to polute the generic scsi code with this, but maybe
   it would be better to add a quirk for this to the scsi layer?
2) What on earth should I name the flag for this?
3) Currently I just shorten the read / write by one sector. The scsi layer then
   notices the 1 sector to short read/write and sends a new command for the
   last sector. This works well, but is it ok to depend on the scsi layer 
   behaving this way?
4) Should I be checking for other READ_X and WRITE_x commands too?

---

Another problem with writing a patch for this is these printers are
multifunction devices and since UNUSUAL_DEV() only matches the deviceid +
version the flags also get passed in the driver_info of the drivers for the
other interfaces of the printer, which is not what we want.

I've made a new macro especially for this: UNUSUAL_DEV_EXT:

#define UNUSUAL_DEV_EXT(id_vendor, id_product, bcdDeviceMin, bcdDeviceMax, \
                interfaceClass, vendorName, productName, useProtocol, \
                useTransport, initFunction, flags) \
{       .match_flags = USB_DEVICE_ID_MATCH_DEVICE_AND_VERSION| \
                USB_DEVICE_ID_MATCH_INT_CLASS, \
        .idVendor = (id_vendor), .idProduct = (id_product), \
        .bcdDevice_lo = (bcdDeviceMin), .bcdDevice_hi = (bcdDeviceMax), \
        .bInterfaceClass = (interfaceClass), \
        .driver_info = (flags) | (USB_US_TYPE_STOR << 24) \
}


Which then gets used like this:
UNUSUAL_DEV_EXT( 0x03F0, 0x3B11, 0x100, 0x100, USB_CLASS_MASS_STORAGE,
                "hp",
                "psc 1300 series",
                US_SC_DEVICE, US_PR_DEVICE, NULL,
                US_FL_FUNKY_HPC),

Notice the additonal USB_CLASS_MASS_STORAGE parameter, compared to the regular 
UNUSUAL_DEV() macro. This parameter together with the printer ensures that only
the driverinfo of the driver attached to the storage class interface gets
modified and not the driver_info of for example the usblp driver.

Again a question before writing and submitting a final patch: Is this an
acceptable solution for the multifunctino device problem? Better ideas?

Thanks & Regards,

Hans

---

This still doesn't solve your HP 9660 problems, because if those were the same
then my modified version with the US_FL_FIX_CAPACITY flag should have hidden
this problem there too, just like it did for my PSC.

I do however think it might be a similar problem with your printer not liking
transfers of more then 1 sector at a time, So I'll attach a modified (hacked)
usb-storage soon, which will never try to read more then 1 sector at a time to
see if that will fix things.
Comment 31 Hans de Goede 2007-06-10 06:06:16 EDT
Hmm,

It turns out that creating an usb-storage which always reads one sector at a
time isn't that easy. When you insert that 512 Mb sdcard which was giving you
trouble you should get a lot more dmesg messages then you pasted in comment #0,
I'm looking for the messages similar to those seen when you inserted that 64 Mb
flashcard, can you attach those message too? I'm looking for a pattern.

dmesg output of inserting cards with the latest usb-storage I attached here
(which has debugging output enabled) would be of great help too.
Comment 32 Hans de Goede 2007-06-10 10:20:55 EDT
Created attachment 156668 [details]
New version which will hopefully work

Me again,

I've been working some more on this fixing up the code which works for my HPC
to make it ready for upstream inclusion.

With this new code it was easy to modify things to switch to 1 sector at a time
reading when reading close to the end of the disc. This version will read 1
sector at a time as soon any of the last 128 sectors is involved. Since you're
problems too were near the end of the disc (judging from the attached logs)
this hopefully will fix things for you too.
Comment 33 Dov Grobgeld 2007-06-10 15:27:00 EDT
Thanks for your efforts Hans. Still not working though. Here is the dmesg log
after inserting a 128M card:

usb 5-2: new full speed USB device using uhci_hcd and address 4
usb 5-2: configuration #1 chosen from 1 choice
drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 4 if 0 alt 0
proto 2 vid 0x03F0 pid 0xB202
usb-storage: flags: 1000
scsi10 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 4
usb-storage: waiting for device to settle before scanning
libusual: modprobe for usb-storage succeeded, but module is not present
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
usb-storage: device scan complete
scsi 10:0:0:0: Direct-Access     HP       photosmart 7600  1.00 PQ: 0 ANSI: 2
disk!
sd 10:0:0:0: Attached scsi removable disk sde
sd 10:0:0:0: Attached scsi generic sg4 type 0
SCSI device sde: 248320 512-byte hdwr sectors (127 MB)
sde: Write Protect is off
sde: Mode Sense: 17 00 00 08
sde: assuming drive cache: write through
SCSI device sde: 248320 512-byte hdwr sectors (127 MB)
sde: Write Protect is off
sde: Mode Sense: 17 00 00 08
sde: assuming drive cache: write through
 sde:
fixup!
fixup!
fixup!
fixup!
fixup!
fixup!
fixup!
fixup!
sd 10:0:0:0: SCSI error: return code = 0x08000002
sde: Current: sense key: Medium Error
    Additional sense: Read error - loss of streaming
end_request: I/O error, dev sde, sector 248312

And here the insertion of a 16M card:

scsi 11:0:0:0: Direct-Access     HP       photosmart 7600  1.00 PQ: 0 ANSI: 2
disk!
sd 11:0:0:0: Attached scsi removable disk sdf
sd 11:0:0:0: Attached scsi generic sg4 type 0
SCSI device sdf: 29120 512-byte hdwr sectors (15 MB)
sdf: Write Protect is off
sdf: Mode Sense: 17 00 00 08
sdf: assuming drive cache: write through
SCSI device sdf: 29120 512-byte hdwr sectors (15 MB)
sdf: Write Protect is off
sdf: Mode Sense: 17 00 00 08
sdf: assuming drive cache: write through
 sdf:
fixup!
sd 11:0:0:0: SCSI error: return code = 0x08000002
sdf: Current: sense key: Medium Error
    Additional sense: Read error - loss of streaming
end_request: I/O error, dev sdf, sector 29112
Comment 34 Hans de Goede 2007-06-10 16:29:41 EDT
Created attachment 156672 [details]
Yet another version

Okay, from your logs it seems that things always fail 8 sectors short of the
detected size. So here is yet another version, which modifies the return value
of the SCSI READ_CAPACITY command and decreased it with 8, so that the scsi
subsystem should never address those troublesome sectors.

You might see messages like this though:
Jun 10 22:33:54 shalem kernel: attempt to access beyond end of device
Jun 10 22:33:54 shalem kernel: sdb: rw=0, want=1999871, limit=1999864

In which case we still have a problem, as then appearantly your reader cannot
get to the last 8 sectors. If those messages aren't there, then things are
looking good, its just reporting 8 sectors too much (which would be very
funky).
Comment 35 Pete Zaitcev 2007-06-15 22:03:09 EDT
Mental note - links to lists:
 James didn't like it:
  http://marc.info/?l=linux-scsi&m=118149593832534&w=2
 Thread on linux-usb-storage:
  https://lists.one-eyed-alien.net/pipermail/usb-storage/2007-June/003047.html

BTW, my comment #26 is wrong. Hans was correct, class matching is necessary.
Comment 36 Hans de Goede 2007-06-16 03:50:54 EDT
Dov,

Any Chance you can test my latest version, I think that should work for your
printer!

Pete,

I think all these problems are caused by recent kernels reading the last sector
of a partition, probably some kinda sanity check, but these HP readers, seem to
have bugs when it comes to accessing the end of cards, maybe some kinda flag
disabling this check would be a good idea?

Then these readers will work as good as they work under windows, they willork
until they are so full the end of the device gets used. Thats my theorie atleast.
Comment 37 Dov Grobgeld 2007-06-16 16:29:18 EDT
Hi Hans,

Sorry for the delay. Unfortunately it still doesn't work, and I get the same
errors as before. Here is the end of the dmesg output. Do you need more. Thanks
again for your efforts.

usb-storage: *** thread awakened.
usb-storage: Command TEST_UNIT_READY (6 bytes)
usb-storage:  00 00 00 00 00 00
usb-storage: Bulk Command S 0x43425355 T 0xc2 L 0 F 0 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0xc2 R 0 Stat 0x1
usb-storage: -- transport indicates command failure
usb-storage: Issuing auto-REQUEST_SENSE
usb-storage: Bulk Command S 0x43425355 T 0xc3 L 18 F 128 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: usb_stor_bulk_transfer_buf: xfer 18 bytes
usb-storage: Status code 0; transferred 18/18
usb-storage: -- transfer complete
usb-storage: Bulk data transfer result 0x0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0xc3 R 0 Stat 0x0
usb-storage: -- Result from auto-sense is 0
usb-storage: -- code: 0xf0, key: 0x2, ASC: 0x3a, ASCQ: 0x0
usb-storage: Not Ready: Medium not present
usb-storage: scsi cmd done, result=0x2
usb-storage: *** thread sleeping.
usb-storage: queuecommand called
usb-storage: *** thread awakened.
usb-storage: Command TEST_UNIT_READY (6 bytes)
usb-storage:  00 00 00 00 00 00
usb-storage: Bulk Command S 0x43425355 T 0x79 L 0 F 0 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0x79 R 0 Stat 0x0
usb-storage: scsi cmd done, result=0x0
usb-storage: *** thread sleeping.
usb-storage: queuecommand called
usb-storage: *** thread awakened.
usb-storage: Command TEST_UNIT_READY (6 bytes)
usb-storage:  00 00 00 00 00 00
usb-storage: Bulk Command S 0x43425355 T 0xc4 L 0 F 0 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0xc4 R 0 Stat 0x1
usb-storage: -- transport indicates command failure
usb-storage: Issuing auto-REQUEST_SENSE
usb-storage: Bulk Command S 0x43425355 T 0xc5 L 18 F 128 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: usb_stor_bulk_transfer_buf: xfer 18 bytes
usb-storage: Status code 0; transferred 18/18
usb-storage: -- transfer complete
usb-storage: Bulk data transfer result 0x0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0xc5 R 0 Stat 0x0
usb-storage: -- Result from auto-sense is 0
usb-storage: -- code: 0xf0, key: 0x2, ASC: 0x3a, ASCQ: 0x0
usb-storage: Not Ready: Medium not present
usb-storage: scsi cmd done, result=0x2
usb-storage: *** thread sleeping.
usb-storage: queuecommand called
usb-storage: *** thread awakened.
usb-storage: Command TEST_UNIT_READY (6 bytes)
usb-storage:  00 00 00 00 00 00
usb-storage: Bulk Command S 0x43425355 T 0xc6 L 0 F 0 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0xc6 R 0 Stat 0x1
usb-storage: -- transport indicates command failure
usb-storage: Issuing auto-REQUEST_SENSE
usb-storage: Bulk Command S 0x43425355 T 0xc7 L 18 F 128 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: usb_stor_bulk_transfer_buf: xfer 18 bytes
usb-storage: Status code 0; transferred 18/18
usb-storage: -- transfer complete
usb-storage: Bulk data transfer result 0x0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0xc7 R 0 Stat 0x0
usb-storage: -- Result from auto-sense is 0
usb-storage: -- code: 0xf0, key: 0x2, ASC: 0x3a, ASCQ: 0x0
usb-storage: Not Ready: Medium not present
usb-storage: scsi cmd done, result=0x2
usb-storage: *** thread sleeping.
Comment 38 Hans de Goede 2007-06-16 16:53:52 EDT
I'm afraid that dmesg output isn't all that usefull, that is just the result of
hal polling the reader periodically. To get good dmesg output, you need todo a
dmesg command very shortly after inserting the card into the printer. The dmesg
output should contain READ_10 to be useufull.

Also very helpfull and less work for you would be the kernel messages in
/var/log/messages, those are less verbose, but atleast they are not overwritten
soon after cart insertion, like what happens with dmesg (which uses a limited
size buffer).


Comment 39 Dov Grobgeld 2007-06-16 17:03:39 EDT
Ok, I cought a READ_10 command in dmesg and am including everything that follows:

usb-storage: *** thread awakened.
usb-storage: Command READ_10 (10 bytes)
usb-storage:  28 00 00 03 c9 f0 00 00 08 00
usb-storage: Bulk Command S 0x43425355 T 0x5d6 L 4096 F 128 Trg 0 LUN 0 CL 10
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: usb_stor_bulk_transfer_sglist: xfer 4096 bytes, 1 entries
usb-storage: queuecommand called
usb-storage: *** thread awakened.
usb-storage: Command TEST_UNIT_READY (6 bytes)
usb-storage:  00 00 00 00 00 00
usb-storage: Bulk Command S 0x43425355 T 0x13d7 L 0 F 0 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0x13d7 R 0 Stat 0x1
usb-storage: -- transport indicates command failure
usb-storage: Issuing auto-REQUEST_SENSE
usb-storage: Bulk Command S 0x43425355 T 0x13d8 L 18 F 128 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: usb_stor_bulk_transfer_buf: xfer 18 bytes
usb-storage: Status code 0; transferred 18/18
usb-storage: -- transfer complete
usb-storage: Bulk data transfer result 0x0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0x13d8 R 0 Stat 0x0
usb-storage: -- Result from auto-sense is 0
usb-storage: -- code: 0xf0, key: 0x2, ASC: 0x3a, ASCQ: 0x0
usb-storage: Not Ready: Medium not present
usb-storage: scsi cmd done, result=0x2
usb-storage: *** thread sleeping.
usb-storage: queuecommand called
usb-storage: *** thread awakened.
usb-storage: Command TEST_UNIT_READY (6 bytes)
usb-storage:  00 00 00 00 00 00
usb-storage: Bulk Command S 0x43425355 T 0x13d9 L 0 F 0 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0x13d9 R 0 Stat 0x1
usb-storage: -- transport indicates command failure
usb-storage: Issuing auto-REQUEST_SENSE
usb-storage: Bulk Command S 0x43425355 T 0x13da L 18 F 128 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: usb_stor_bulk_transfer_buf: xfer 18 bytes
usb-storage: Status code 0; transferred 18/18
usb-storage: -- transfer complete
usb-storage: Bulk data transfer result 0x0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0x13da R 0 Stat 0x0
usb-storage: -- Result from auto-sense is 0
usb-storage: -- code: 0xf0, key: 0x2, ASC: 0x3a, ASCQ: 0x0
usb-storage: Not Ready: Medium not present
usb-storage: scsi cmd done, result=0x2
usb-storage: *** thread sleeping.
Comment 40 Hans de Goede 2007-06-16 17:11:32 EDT
Thanks,

But the stuff above that command / around actually is the interesting part. Can
you please post the part of /var/log/messages from around the time of card
insertion, like you did in comment #0 and comment #33, that is less verbose, but
may contain enough info, getting a usable dmesg output is kinda tricky, as the
buffer is small, it took me quite a few times to get it too.
Comment 41 Dov Grobgeld 2007-06-16 17:18:26 EDT
/var/log/message output at time around time of card insertion:

Jun 17 00:01:03 grower kernel:     Additional sense: Read error - loss of streaming
Jun 17 00:01:03 grower kernel: end_request: I/O error, dev sdd, sector 248304
Jun 17 00:01:03 grower kernel: Buffer I/O error on device sdd, logical block 31038
Jun 17 00:01:06 grower kernel: sd 9:0:0:0: SCSI error: return code = 0x08000002
Jun 17 00:01:06 grower kernel: sdd: Current: sense key: Medium Error
Jun 17 00:01:06 grower kernel:     Additional sense: Read error - loss of streaming
Jun 17 00:01:06 grower kernel: end_request: I/O error, dev sdd, sector 248304
Jun 17 00:01:06 grower kernel: Buffer I/O error on device sdd, logical block 31038
Jun 17 00:03:47 grower kernel: usb 7-5: reset high speed USB device using
ehci_hcd and address 2
Jun 17 00:11:21 grower kernel: usb 7-5: reset high speed USB device using
ehci_hcd and address 2
Jun 17 00:15:30 grower kernel: fixup 33!: 00 03 c9 ff
Jun 17 00:15:30 grower kernel: fixup 34!: 00 03 c9 f7
Jun 17 00:15:30 grower kernel: SCSI device sdd: 248312 512-byte hdwr sectors
(127 MB)
Jun 17 00:15:30 grower kernel: sdd: Write Protect is off
Jun 17 00:15:30 grower kernel: sdd: assuming drive cache: write through
Jun 17 00:15:30 grower kernel: fixup 33!: 00 03 c9 ff
Jun 17 00:15:30 grower kernel: fixup 34!: 00 03 c9 f7
Jun 17 00:15:30 grower kernel: SCSI device sdd: 248312 512-byte hdwr sectors
(127 MB)
Jun 17 00:15:30 grower kernel: sdd: Write Protect is off
Jun 17 00:15:30 grower kernel: sdd: assuming drive cache: write through
Jun 17 00:15:30 grower kernel:  sdd:<7>usb-storage: queuecommand called
Jun 17 00:15:30 grower kernel: 
Jun 17 00:15:33 grower kernel: sd 9:0:0:0: SCSI error: return code = 0x08000002
Jun 17 00:15:33 grower kernel: sdd: Current: sense key: Medium Error
Jun 17 00:15:33 grower kernel:     Additional sense: Read error - loss of streaming
Jun 17 00:15:33 grower kernel: end_request: I/O error, dev sdd, sector 248304
Jun 17 00:15:33 grower kernel: Buffer I/O error on device sdd, logical block 31038
Jun 17 00:15:36 grower kernel: sd 9:0:0:0: SCSI error: return code = 0x08000002
Jun 17 00:15:36 grower kernel: sdd: Current: sense key: Medium Error
Jun 17 00:15:36 grower kernel:     Additional sense: Read error - loss of streaming
Jun 17 00:15:36 grower kernel: end_request: I/O error, dev sdd, sector 248304
Jun 17 00:15:36 grower kernel: Buffer I/O error on device sdd, logical block 31038
Jun 17 00:15:39 grower kernel: sd 9:0:0:0: SCSI error: return code = 0x08000002
Jun 17 00:15:39 grower kernel: sdd: Current: sense key: Medium Error
Jun 17 00:15:39 grower kernel:     Additional sense: Read error - loss of streaming
Jun 17 00:15:39 grower kernel: end_request: I/O error, dev sdd, sector 248304
Jun 17 00:15:39 grower kernel: Buffer I/O error on device sdd, logical block 31038

Here are also a few lines above the READ_10 command of the last dmesg that I sent:

usb-storage: *** thread awakened.
usb-storage: Command READ_10 (10 bytes)
usb-storage:  28 00 00 00 00 00 00 00 08 00
usb-storage: Bulk Command S 0x43425355 T 0x5d3 L 4096 F 128 Trg 0 LUN 0 CL 10
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: usb_stor_bulk_transfer_sglist: xfer 4096 bytes, 1 entries
usb-storage: Status code 0; transferred 4096/4096
usb-storage: -- transfer complete
usb-storage: Bulk data transfer result 0x0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0x5d3 R 0 Stat 0x0
usb-storage: scsi cmd done, result=0x0
usb-storage: *** thread sleeping.

usb-storage: queuecommand called
usb-storage: *** thread awakened.
usb-storage: Command TEST_UNIT_READY (6 bytes)
usb-storage:  00 00 00 00 00 00
usb-storage: Bulk Command S 0x43425355 T 0x5d4 L 0 F 0 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0x5d4 R 0 Stat 0x0
usb-storage: scsi cmd done, result=0x0
usb-storage: *** thread sleeping.
usb-storage: queuecommand called
usb-storage: *** thread awakened.
usb-storage: Command READ_10 (10 bytes)
usb-storage:  28 00 00 03 c9 00 00 00 08 00
usb-storage: Bulk Command S 0x43425355 T 0x5d5 L 4096 F 128 Trg 0 LUN 0 CL 10
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: usb_stor_bulk_transfer_sglist: xfer 4096 bytes, 1 entries
usb-storage: Status code 0; transferred 4096/4096
usb-storage: -- transfer complete
usb-storage: Bulk data transfer result 0x0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0x5d5 R 0 Stat 0x0
usb-storage: scsi cmd done, result=0x0
usb-storage: *** thread sleeping.
usb-storage: queuecommand called
usb-storage: *** thread awakened.
usb-storage: Command READ_10 (10 bytes)
usb-storage:  28 00 00 03 c9 f0 00 00 08 00
usb-storage: Bulk Command S 0x43425355 T 0x5d6 L 4096 F 128 Trg 0 LUN 0 CL 10
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: usb_stor_bulk_transfer_sglist: xfer 4096 bytes, 1 entries
usb-storage: queuecommand called
usb-storage: *** thread awakened.
usb-storage: Command TEST_UNIT_READY (6 bytes)
usb-storage:  00 00 00 00 00 00
usb-storage: Bulk Command S 0x43425355 T 0x13d7 L 0 F 0 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0x13d7 R 0 Stat 0x1
usb-storage: -- transport indicates command failure
usb-storage: Issuing auto-REQUEST_SENSE
usb-storage: Bulk Command S 0x43425355 T 0x13d8 L 18 F 128 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: usb_stor_bulk_transfer_buf: xfer 18 bytes
usb-storage: Status code 0; transferred 18/18
usb-storage: -- transfer complete
usb-storage: Bulk data transfer result 0x0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0x13d8 R 0 Stat 0x0
usb-storage: -- Result from auto-sense is 0
usb-storage: -- code: 0xf0, key: 0x2, ASC: 0x3a, ASCQ: 0x0
usb-storage: Not Ready: Medium not present
usb-storage: scsi cmd done, result=0x2
usb-storage: *** thread sleeping.
usb-storage: queuecommand called
usb-storage: *** thread awakened.
usb-storage: Command TEST_UNIT_READY (6 bytes)
usb-storage:  00 00 00 00 00 00
usb-storage: Bulk Command S 0x43425355 T 0x13d9 L 0 F 0 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0x13d9 R 0 Stat 0x1
usb-storage: -- transport indicates command failure
usb-storage: Issuing auto-REQUEST_SENSE
usb-storage: Bulk Command S 0x43425355 T 0x13da L 18 F 128 Trg 0 LUN 0 CL 6
usb-storage: usb_stor_bulk_transfer_buf: xfer 31 bytes
usb-storage: Status code 0; transferred 31/31
usb-storage: -- transfer complete
usb-storage: Bulk command transfer result=0
usb-storage: usb_stor_bulk_transfer_buf: xfer 18 bytes
usb-storage: Status code 0; transferred 18/18
usb-storage: -- transfer complete
usb-storage: Bulk data transfer result 0x0
usb-storage: Attempting to get CSW...
usb-storage: usb_stor_bulk_transfer_buf: xfer 13 bytes
usb-storage: Status code 0; transferred 13/13
usb-storage: -- transfer complete
usb-storage: Bulk status result = 0
usb-storage: Bulk Status S 0x53425355 T 0x13da R 0 Stat 0x0
usb-storage: -- Result from auto-sense is 0
usb-storage: -- code: 0xf0, key: 0x2, ASC: 0x3a, ASCQ: 0x0
usb-storage: Not Ready: Medium not present
usb-storage: scsi cmd done, result=0x2
usb-storage: *** thread sleeping.
Comment 42 Hans de Goede 2007-06-16 17:35:42 EDT
Hmm,

Dov, Many thanks for the info!

Pete,

Something fishy is going on here, it looks like a locking problem of sorts. Look
at the usb-storage debug output in comment #41:

1) the first READ_10 command, reading the first 8 sectors of the disc goes fine.
2) then a TEST_UNIT_READY command is issued presumably by hal and its ok
3) then another READ_10 command, starting at sector 03 c9 00 is issued ok
4) with the next READ_10 command, starting at sector 03 c9 f0, something goes
   wrong. It looks like it gets interrupted by another TEST_UNIT_READY command,
   I come to the conclusion that it gets interrupted because it never attempts 
   to get the CSW, nor does it print the usual: "scsi cmd done, result=XXX" 
   output.

So it seems like this is an entirely different problem from my printer, or maybe
the patch for my printer is just fighting symptons and my problems have the same
cause.
Comment 43 petrosyan 2008-03-10 19:36:26 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 44 Bug Zapper 2008-04-03 21:56:40 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 45 Bug Zapper 2008-05-06 11:29:35 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.